View Issue Details

IDProjectCategoryView StatusLast Update
0002772Industrial-Craft²general / otherpublic2021-08-10 16:41
Reportertfiskgul Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status newResolutionopen 
Summary0002772: IC2 decode exception in ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
DescriptionMy world fails to load due to IC2 tile entity update. The issue started after a game crash at

// Oops.

Time: 7/29/21 5:51 PM
Description: Unexpected error

java.lang.NullPointerException: Unexpected error
    at ic2.core.block.transport.TileEntityFluidPipe.func_189515_b(TileEntityFluidPipe.java:218)
    at net.minecraftforge.common.util.BlockSnapshot.getTileNBT(BlockSnapshot.java:132)
    at net.minecraftforge.common.util.BlockSnapshot.<init>(BlockSnapshot.java:61)
    at net.minecraft.world.World.func_190527_a(World.java:317

And now I get a tile entity update decode issue every time I try to load that world.
Additional InformationThe most interesting part of stack trace is:

[18:20:22] [Netty Local Client IO #0/WARN] [ic2.Network]: Network read failed
java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = ==

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 118
    at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
    at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
    at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
    at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
    at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
TagsNo tags attached.
Minecraft Version1.12.2

Activities

tfiskgul

2021-08-05 17:21

reporter  

crash-2021-07-29_17.51.05-client.txt (28,555 bytes)   
---- Minecraft Crash Report ----

WARNING: coremods are present:
  Inventory Tweaks Coremod (InventoryTweaks-1.63.jar)
  CreativePatchingLoader (CreativeCore_v1.10.61_mc1.12.2.jar)
  PhosphorFMLLoadingPlugin (phosphor-1.12.2-0.2.6+build50-universal.jar)
  StackUpCore (StackUp-0.2.5.jar)
  SurgeLoadingPlugin (Surge-1.12.2-2.0.77.jar)
  Quark Plugin (Quark-r1.6-179.jar)
  IMLoadingPlugin (infinimend-1.12-1.0.2.jar)
Contact their authors BEFORE contacting forge

// Oops.

Time: 7/29/21 5:51 PM
Description: Unexpected error

java.lang.NullPointerException: Unexpected error
	at ic2.core.block.transport.TileEntityFluidPipe.func_189515_b(TileEntityFluidPipe.java:218)
	at net.minecraftforge.common.util.BlockSnapshot.getTileNBT(BlockSnapshot.java:132)
	at net.minecraftforge.common.util.BlockSnapshot.<init>(BlockSnapshot.java:61)
	at net.minecraft.world.World.func_190527_a(World.java:3176)
	at tschipp.linear.common.helper.LinearHelper.getBlocksBetween(LinearHelper.java:199)
	at tschipp.linear.client.event.ClientEvents.highlightGhostBlock(ClientEvents.java:248)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_565_ClientEvents_highlightGhostBlock_RenderWorldLastEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:182)
	at net.minecraftforge.client.ForgeHooksClient.dispatchRenderLast(ForgeHooksClient.java:196)
	at sun.reflect.GeneratedMethodAccessor98.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.optifine.reflect.Reflector.callVoid(Reflector.java:669)
	at net.minecraft.client.renderer.EntityRenderer.func_175068_a(EntityRenderer.java:1959)
	at net.minecraft.client.renderer.EntityRenderer.func_78471_a(EntityRenderer.java:1621)
	at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1390)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1119)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:398)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.block.transport.TileEntityFluidPipe.func_189515_b(TileEntityFluidPipe.java:218)
	at net.minecraftforge.common.util.BlockSnapshot.getTileNBT(BlockSnapshot.java:132)
	at net.minecraftforge.common.util.BlockSnapshot.<init>(BlockSnapshot.java:61)
	at net.minecraft.world.World.func_190527_a(World.java:3176)
	at tschipp.linear.common.helper.LinearHelper.getBlocksBetween(LinearHelper.java:199)
	at tschipp.linear.client.event.ClientEvents.highlightGhostBlock(ClientEvents.java:248)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_565_ClientEvents_highlightGhostBlock_RenderWorldLastEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:182)
	at net.minecraftforge.client.ForgeHooksClient.dispatchRenderLast(ForgeHooksClient.java:196)
	at sun.reflect.GeneratedMethodAccessor98.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.optifine.reflect.Reflector.callVoid(Reflector.java:669)
	at net.minecraft.client.renderer.EntityRenderer.func_175068_a(EntityRenderer.java:1959)
	at net.minecraft.client.renderer.EntityRenderer.func_78471_a(EntityRenderer.java:1621)

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['tfiskgul'/390, l='MpServer', x=303.97, y=91.00, z=213.30]]
	Chunk stats: MultiplayerChunkCache: 625, 625
	Level seed: 0
	Level generator: ID 04 - customized, ver 0. Features enabled: false
	Level generator options: 
	Level spawn location: World: (224,64,216), Chunk: (at 0,4,8 in 14,13; contains blocks 224,0,208 to 239,255,223), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 24791435 game time, 25342356 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
	Forced entities: 102 total; [EntityBoat['Boat'/79, l='MpServer', x=230.31, y=62.52, z=239.69], EntityZombie['Zombie'/90, l='MpServer', x=245.40, y=8.00, z=280.92], EntityZombie['Zombie'/109, l='MpServer', x=266.47, y=31.00, z=161.74], EntityPig['Pig'/147, l='MpServer', x=321.24, y=74.00, z=176.65], EntityPig['Pig'/222, l='MpServer', x=295.97, y=70.00, z=181.50], EntitySkeletonHorse['Skeleton Horse'/227, l='MpServer', x=281.03, y=69.00, z=235.06], EntityIronGolem['Iron Golem'/228, l='MpServer', x=298.32, y=11.50, z=269.65], EntityCow['Cow'/229, l='MpServer', x=331.33, y=77.00, z=266.85], EntityIronGolem['Iron Golem'/243, l='MpServer', x=311.17, y=27.00, z=265.10], EntityIronGolem['Iron Golem'/244, l='MpServer', x=310.70, y=17.00, z=265.67], EntityIronGolem['Iron Golem'/245, l='MpServer', x=311.04, y=37.00, z=264.88], EntityPig['Pig'/246, l='MpServer', x=318.69, y=77.00, z=278.72], EntityCow['Cow'/247, l='MpServer', x=331.49, y=78.00, z=258.22], EntityCow['Cow'/249, l='MpServer', x=326.43, y=78.00, z=251.77], EntityCow['Cow'/258, l='MpServer', x=304.51, y=72.00, z=166.82], EntityCow['Cow'/260, l='MpServer', x=326.45, y=77.00, z=271.78], EntityPig['Pig'/277, l='MpServer', x=330.50, y=72.00, z=173.05], EntityPig['Pig'/278, l='MpServer', x=349.44, y=70.00, z=203.73], EntityCow['Cow'/280, l='MpServer', x=341.69, y=73.00, z=234.62], EntityCow['Cow'/282, l='MpServer', x=352.14, y=64.00, z=281.21], EntityPig['Pig'/301, l='MpServer', x=348.54, y=70.00, z=210.75], EntityPig['Pig'/302, l='MpServer', x=345.51, y=71.00, z=232.75], EntityChicken['Chicken'/322, l='MpServer', x=343.50, y=71.00, z=198.20], EntityPlayerSP['tfiskgul'/390, l='MpServer', x=289.80, y=91.00, z=240.17], EntityPlayerSP['tfiskgul'/390, l='MpServer', x=303.97, y=91.00, z=213.30], EntityMinecartChest['Minecart with Chest'/625283, l='MpServer', x=355.50, y=21.06, z=205.51], EntityPig['Pig'/625282, l='MpServer', x=372.30, y=72.00, z=202.48], EntityPig['Pig'/625284, l='MpServer', x=359.54, y=68.00, z=205.31], EntityPig['Pig'/627352, l='MpServer', x=365.22, y=70.00, z=166.49], EntityPig['Pig'/627393, l='MpServer', x=386.72, y=68.00, z=182.50], EntityZombie['Zombie'/404240, l='MpServer', x=245.50, y=8.00, z=280.21], EntityItem['item.item.slimeball'/718053, l='MpServer', x=299.48, y=7.00, z=269.33], EntitySkeleton['Skeleton'/718115, l='MpServer', x=243.44, y=33.00, z=138.30], EntityBat['Bat'/718216, l='MpServer', x=261.58, y=34.10, z=163.11], EntityZombie['Zombie'/718230, l='MpServer', x=267.50, y=63.00, z=212.50], EntitySquid['Squid'/718299, l='MpServer', x=244.09, y=55.53, z=181.72], EntityPlayerSP['tfiskgul'/390, l='MpServer', x=285.91, y=69.00, z=226.39], EntityCreeper['Creeper'/718398, l='MpServer', x=228.50, y=19.00, z=167.50], EntitySkeleton['Skeleton'/718411, l='MpServer', x=372.50, y=18.00, z=170.50], EntitySkeleton['Skeleton'/718415, l='MpServer', x=257.50, y=50.00, z=213.50], EntitySpider['Spider'/718423, l='MpServer', x=372.50, y=70.00, z=148.50], EntityCreeper['Creeper'/718463, l='MpServer', x=345.50, y=64.00, z=146.50], EntitySlime['Slime'/718464, l='MpServer', x=360.98, y=62.59, z=132.99], EntityBat['Bat'/718490, l='MpServer', x=364.88, y=21.99, z=205.46], EntitySkeleton['Skeleton'/718507, l='MpServer', x=333.50, y=67.00, z=148.50], EntityZombie['Zombie'/579243, l='MpServer', x=240.55, y=6.00, z=261.75], EntityCreeper['Creeper'/718502, l='MpServer', x=332.50, y=64.00, z=133.50], EntitySkeleton['Skeleton'/718524, l='MpServer', x=375.86, y=41.00, z=166.55], EntityZombie['Zombie'/718536, l='MpServer', x=311.45, y=72.00, z=144.81], EntitySkeleton['Skeleton'/718555, l='MpServer', x=379.50, y=39.00, z=171.50], EntityPig['Pig'/321249, l='MpServer', x=346.74, y=71.00, z=168.50], EntityCreeper['Creeper'/718565, l='MpServer', x=246.51, y=35.00, z=213.80], EntityBat['Bat'/718584, l='MpServer', x=324.40, y=26.03, z=135.59], EntitySkeleton['Skeleton'/718578, l='MpServer', x=272.50, y=24.00, z=273.50], EntitySkeleton['Skeleton'/718579, l='MpServer', x=273.50, y=24.00, z=273.50], EntitySkeleton['Skeleton'/718576, l='MpServer', x=273.50, y=24.00, z=274.50], EntityCreeper['Creeper'/718577, l='MpServer', x=379.50, y=39.00, z=151.79], EntitySkeleton['Skeleton'/718580, l='MpServer', x=373.50, y=31.00, z=260.50], EntityCreeper['Creeper'/718623, l='MpServer', x=359.50, y=52.00, z=202.96], EntityBat['Bat'/718639, l='MpServer', x=376.43, y=23.09, z=227.37], EntityZombie['Zombie'/718624, l='MpServer', x=359.50, y=52.00, z=202.30], EntityCreeper['Creeper'/718630, l='MpServer', x=357.82, y=51.00, z=216.41], EntityBat['Bat'/718640, l='MpServer', x=366.23, y=17.03, z=165.22], EntityCreeper['Creeper'/718645, l='MpServer', x=338.16, y=33.00, z=145.51], EntityBat['Bat'/718659, l='MpServer', x=383.58, y=21.99, z=185.42], EntityBat['Bat'/718660, l='MpServer', x=280.57, y=40.53, z=136.25], EntityCreeper['Creeper'/718661, l='MpServer', x=380.50, y=69.00, z=173.50], EntitySkeleton['Skeleton'/718683, l='MpServer', x=260.50, y=46.00, z=216.50], EntityCreeper['Creeper'/718684, l='MpServer', x=380.50, y=34.00, z=236.50], EntityBat['Bat'/718675, l='MpServer', x=328.70, y=37.01, z=137.51], EntityBat['Bat'/718703, l='MpServer', x=332.87, y=35.82, z=137.56], EntityCow['Cow'/573295, l='MpServer', x=231.70, y=70.00, z=473.21], EntityBat['Bat'/718715, l='MpServer', x=341.57, y=36.41, z=156.53], EntityCreeper['Creeper'/718719, l='MpServer', x=376.50, y=33.00, z=231.60], EntitySkeleton['Skeleton'/718707, l='MpServer', x=263.50, y=24.00, z=196.50], EntityCreeper['Creeper'/718708, l='MpServer', x=376.50, y=34.00, z=240.50], EntitySquid['Squid'/718731, l='MpServer', x=249.15, y=60.50, z=195.87], EntitySquid['Squid'/718734, l='MpServer', x=249.83, y=62.53, z=191.83], EntitySquid['Squid'/718732, l='MpServer', x=249.02, y=60.53, z=190.29], EntitySquid['Squid'/718733, l='MpServer', x=244.40, y=60.00, z=197.50], EntityBat['Bat'/718723, l='MpServer', x=370.98, y=38.03, z=169.56], EntitySkeleton['Skeleton'/718720, l='MpServer', x=253.50, y=41.00, z=230.50], EntitySquid['Squid'/718747, l='MpServer', x=248.76, y=60.00, z=151.64], EntitySquid['Squid'/718762, l='MpServer', x=248.00, y=59.81, z=175.77], EntitySquid['Squid'/718760, l='MpServer', x=250.32, y=61.89, z=186.05], EntitySquid['Squid'/718761, l='MpServer', x=256.23, y=59.25, z=187.07], EntitySquid['Squid'/718759, l='MpServer', x=246.94, y=61.87, z=181.46], EntitySpider['Spider'/718778, l='MpServer', x=262.50, y=32.00, z=166.50], EntitySkeleton['Skeleton'/718780, l='MpServer', x=373.50, y=36.00, z=163.50], EntitySpider['Spider'/718781, l='MpServer', x=381.30, y=25.10, z=223.80], EntityBat['Bat'/718795, l='MpServer', x=365.56, y=49.56, z=195.02], EntitySkeleton['Skeleton'/718799, l='MpServer', x=234.50, y=40.00, z=146.50], EntityBat['Bat'/718797, l='MpServer', x=378.47, y=39.82, z=170.25], EntitySkeleton['Skeleton'/718811, l='MpServer', x=263.50, y=19.00, z=289.50], EntityCreeper['Creeper'/718808, l='MpServer', x=363.50, y=39.00, z=278.50], EntitySkeleton['Skeleton'/718812, l='MpServer', x=263.50, y=36.00, z=257.50], EntityCreeper['Creeper'/718807, l='MpServer', x=280.50, y=70.00, z=138.50], EntityZombie['Zombie'/718824, l='MpServer', x=364.50, y=39.00, z=187.50], EntitySkeleton['Skeleton'/718819, l='MpServer', x=366.50, y=39.00, z=186.50], EntityZombie['Zombie'/718816, l='MpServer', x=297.50, y=74.00, z=153.50], EntityZombie['Zombie'/718823, l='MpServer', x=363.69, y=39.00, z=186.81], EntityCreeper['Creeper'/718821, l='MpServer', x=364.50, y=39.00, z=278.50]]
	Retry entities: 20 total; [EntityCow['Cow'/573295, l='MpServer', x=231.70, y=70.00, z=473.21], EntityBat['Bat'/698750, l='MpServer', x=243.55, y=20.00, z=151.73], EntityCow['Cow'/573296, l='MpServer', x=228.44, y=71.00, z=476.18], EntityCow['Cow'/573297, l='MpServer', x=229.85, y=70.00, z=474.51], EntityCow['Cow'/573298, l='MpServer', x=228.43, y=71.00, z=477.31], EntityPig['Pig'/573320, l='MpServer', x=168.78, y=64.00, z=473.49], EntityPig['Pig'/573316, l='MpServer', x=182.50, y=70.00, z=465.75], EntitySkeleton['Skeleton'/698502, l='MpServer', x=287.50, y=74.00, z=150.50], EntityPig['Pig'/573317, l='MpServer', x=182.80, y=65.00, z=470.48], EntityCow['Cow'/573318, l='MpServer', x=164.19, y=66.00, z=474.60], EntityPig['Pig'/573319, l='MpServer', x=171.77, y=64.00, z=469.50], EntitySquid['Squid'/698799, l='MpServer', x=258.73, y=59.38, z=179.12], EntityCreeper['Creeper'/698814, l='MpServer', x=355.50, y=35.00, z=158.50], EntitySquid['Squid'/698801, l='MpServer', x=259.30, y=59.33, z=180.03], EntityBat['Bat'/698824, l='MpServer', x=340.58, y=32.99, z=149.58], EntityCow['Cow'/568536, l='MpServer', x=168.02, y=73.00, z=460.50], EntityCow['Cow'/568537, l='MpServer', x=155.56, y=74.00, z=461.44], EntityCow['Cow'/568538, l='MpServer', x=151.72, y=72.00, z=463.80], EntitySkeleton['Skeleton'/698851, l='MpServer', x=226.50, y=20.00, z=165.50], EntitySkeleton['Skeleton'/698852, l='MpServer', x=331.71, y=67.00, z=148.52]]
	Server brand: fml,forge
	Server type: Integrated singleplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:532)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2741)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:427)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Linux (amd64) version 5.12.14
	Java Version: 1.8.0_202, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 428095040 bytes (408 MB) / 5905580032 bytes (5632 MB) up to 8589934592 bytes (8192 MB)
	JVM Flags: 7 total; -Xmx8G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=32M
	IntCache: cache: 0, tcache: 0, allocated: 15, tallocated: 95
	FML: MCP 9.42 Powered by Forge 14.23.5.2855 Optifine OptiFine_1.12.2_HD_U_G5 71 mods loaded, 71 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State  | ID                  | Version                  | Source                                         | Signature                                |
	|:------ |:------------------- |:------------------------ |:---------------------------------------------- |:---------------------------------------- |
	| LCHIJA | minecraft           | 1.12.2                   | minecraft.jar                                  | None                                     |
	| LCHIJA | mcp                 | 9.42                     | minecraft.jar                                  | None                                     |
	| LCHIJA | FML                 | 8.0.99.99                | forge-1.12.2-14.23.5.2855.jar                  | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| LCHIJA | forge               | 14.23.5.2855             | forge-1.12.2-14.23.5.2855.jar                  | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| LCHIJA | creativecoredummy   | 1.0.0                    | minecraft.jar                                  | None                                     |
	| LCHIJA | infinimend          | 1.0.2                    | minecraft.jar                                  | None                                     |
	| LCHIJA | creativecore        | 1.10.0                   | CreativeCore_v1.10.61_mc1.12.2.jar             | None                                     |
	| LCHIJA | ambientsounds       | 3.0                      | AmbientSounds_v3.1.5_mc1.12.2.jar              | None                                     |
	| LCHIJA | jei                 | 4.16.1.302               | jei_1.12.2-4.16.1.302.jar                      | None                                     |
	| LCHIJA | appleskin           | 1.0.14                   | AppleSkin-mc1.12-1.0.14.jar                    | None                                     |
	| LCHIJA | attributefix        | 1.0.10                   | AttributeFix-1.12.2-1.0.10.jar                 | d476d1b22b218a10d845928d1665d45fce301b27 |
	| LCHIJA | quark               | r1.6-179                 | Quark-r1.6-179.jar                             | None                                     |
	| LCHIJA | autoreglib          | 1.3-32                   | AutoRegLib-1.3-32.jar                          | None                                     |
	| LCHIJA | baubles             | 1.5.2                    | Baubles-1.12-1.5.2.jar                         | None                                     |
	| LCHIJA | betterplacement     | 1.0.0-1                  | BetterPlacement-1.0.0-1.jar                    | None                                     |
	| LCHIJA | biomesoplenty       | 7.0.1.2444               | BiomesOPlenty-1.12.2-7.0.1.2444-universal.jar  | None                                     |
	| LCHIJA | buildcraftlib       | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftcore      | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftbuilders  | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcrafttransport | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftsilicon   | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | stackup             | 0.2.5                    | StackUp-0.2.5.jar                              | None                                     |
	| LCHIJA | ic2                 | 2.8.221-ex112            | industrialcraft-2-2.8.221-ex112.jar            | de041f9f6187debbc77034a344134053277aa3b0 |
	| LCHIJA | buildcraftcompat    | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftenergy    | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftfactory   | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | buildcraftrobotics  | 7.99.24.8                | buildcraft-all-7.99.24.8.jar                   | None                                     |
	| LCHIJA | carryon             | 1.12.3                   | carryon-1.12.2-1.12.4.16.jar                   | fd21553434f4905f2f73ea7838147ac4ea07bd88 |
	| LCHIJA | clarity             | 1.1                      | clarity-1.1.jar                                | None                                     |
	| LCHIJA | codechickenlib      | 3.2.3.358                | CodeChickenLib-1.12.2-3.2.3.358-universal.jar  | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
	| LCHIJA | redstoneflux        | 2.1.1                    | RedstoneFlux-1.12-2.1.1.1-universal.jar        | None                                     |
	| LCHIJA | cofhcore            | 4.6.6                    | CoFHCore-1.12.2-4.6.6.1-universal.jar          | None                                     |
	| LCHIJA | cofhworld           | 1.4.0                    | CoFHWorld-1.12.2-1.4.0.1-universal.jar         | None                                     |
	| LCHIJA | controlling         | 3.0.10                   | Controlling-3.0.10.jar                         | None                                     |
	| LCHIJA | enchdesc            | 1.1.20                   | EnchantmentDescriptions-1.12.2-1.1.20.jar      | d476d1b22b218a10d845928d1665d45fce301b27 |
	| LCHIJA | enchxchg            | 1.2.14                   | enchxchg-1.12.2-1.2.14.jar                     | None                                     |
	| LCHIJA | energyconverters    | 1.3.7.30                 | energyconverters_1.12.2-1.3.7.30.jar           | None                                     |
	| LCHIJA | valkyrielib         | 1.12.2-2.0.20.1          | valkyrielib-1.12.2-2.0.20.1.jar                | None                                     |
	| LCHIJA | environmentaltech   | 1.12.2-2.0.20.1          | environmentaltech-1.12.2-2.0.20.1.jar          | None                                     |
	| LCHIJA | fencejumper         | 1.0.5                    | fencejumper-1.12-1.0.5.jar                     | None                                     |
	| LCHIJA | fluxnetworks        | 4.1.0                    | FluxNetworks-1.12.2-4.1.1.34.jar               | None                                     |
	| LCHIJA | friendlyfire        | 1.5.10                   | FriendlyFire-1.12.2-1.5.10.jar                 | d476d1b22b218a10d845928d1665d45fce301b27 |
	| LCHIJA | gravestone          | 1.10.3                   | gravestone-1.10.3.jar                          | None                                     |
	| LCHIJA | gravisuite          | 3.1.1                    | Gravitation+Suite-3.1.1.jar                    | None                                     |
	| LCHIJA | hearthstonemod      | 0.4.7                    | HearthstoneMod-1.12.2-0.4.7.jar                | None                                     |
	| LCHIJA | waila               | 1.8.26                   | Hwyla-1.8.26-B41_1.12.2.jar                    | None                                     |
	| LCHIJA | inventorytweaks     | 1.63+release.109.220f184 | InventoryTweaks-1.63.jar                       | 55d2cd4f5f0961410bf7b91ef6c6bf00a766dcbe |
	| LCHIJA | ironchest           | 1.12.2-7.0.67.844        | ironchest-1.12.2-7.0.72.847.jar                | None                                     |
	| LCHIJA | journeymap          | 1.12.2-5.7.1             | journeymap-1.12.2-5.7.1.jar                    | None                                     |
	| LCHIJA | reborncore          | 3.19.5                   | RebornCore-1.12.2-3.19.5-universal.jar         | None                                     |
	| LCHIJA | justsleep           | 1.0.0.1                  | JustSleep-1.0.0.1.jar                          | None                                     |
	| LCHIJA | linear              | 1.3                      | linear-1.12.2-1.3.jar                          | None                                     |
	| LCHIJA | lunatriuscore       | 1.2.0.42                 | LunatriusCore-1.12.2-1.2.0.42-universal.jar    | None                                     |
	| LCHIJA | mcjtylib_ng         | 3.5.4                    | mcjtylib-1.12-3.5.4.jar                        | None                                     |
	| LCHIJA | mendingfix          | 1.0.1-1.12.2.2618        | mendingfix-1.0.1-1.12.2.2618.jar               | None                                     |
	| LCHIJA | netherportalfix     | 5.3.17                   | NetherPortalFix_1.12.1-5.3.17.jar              | None                                     |
	| LCHIJA | nhc                 | 4.0.3                    | NHCore-1.12-4.0.3.jar                          | None                                     |
	| LCHIJA | oops                | @VERSION@                | oops-1.12-5.11.jar                             | None                                     |
	| LCHIJA | rftools             | 7.73                     | rftools-1.12-7.73.jar                          | None                                     |
	| LCHIJA | stackie             | 1.6.0.48                 | Stackie-1.12.2-1.6.0.48-universal.jar          | None                                     |
	| LCHIJA | stg                 | 1.12.2-1.2.3             | stg-1.12.2-1.2.3.jar                           | None                                     |
	| LCHIJA | surge               | 2.0.77                   | Surge-1.12.2-2.0.77.jar                        | d476d1b22b218a10d845928d1665d45fce301b27 |
	| LCHIJA | thermalfoundation   | 2.6.7                    | ThermalFoundation-1.12.2-2.6.7.1-universal.jar | None                                     |
	| LCHIJA | thermalexpansion    | 5.5.7                    | ThermalExpansion-1.12.2-5.5.7.1-universal.jar  | None                                     |
	| LCHIJA | toolbelt            | 1.9.13                   | ToolBelt-1.12.2-1.9.13.jar                     | None                                     |
	| LCHIJA | torohealthmod       | 1.12.2-11                | torohealth-1.12.2-11.jar                       | None                                     |
	| LCHIJA | travelersbackpack   | 1.0.35                   | TravelersBackpack-1.12.2-1.0.35.jar            | None                                     |
	| LCHIJA | treechopper         | 1.2.4                    | TreeChopper-1.12.2-1.2.4.jar                   | None                                     |
	| LCHIJA | universalmodifiers  | 1.12.2-1.0.16.1          | valkyrielib-1.12.2-2.0.20.1.jar                | None                                     |
	| LCHIJA | xnet                | 1.8.2                    | xnet-1.12-1.8.2.jar                            | None                                     |
	| LCHIJA | phosphor-lighting   | 1.12.2-0.2.6             | phosphor-1.12.2-0.2.6+build50-universal.jar    | f0387d288626cc2d937daa504e74af570c52a2f1 |

	Loaded coremods (and transformers): 
Inventory Tweaks Coremod (InventoryTweaks-1.63.jar)
  invtweaks.forge.asm.ContainerTransformer
CreativePatchingLoader (CreativeCore_v1.10.61_mc1.12.2.jar)
  
PhosphorFMLLoadingPlugin (phosphor-1.12.2-0.2.6+build50-universal.jar)
  
StackUpCore (StackUp-0.2.5.jar)
  pl.asie.stackup.core.StackUpTransformer
SurgeLoadingPlugin (Surge-1.12.2-2.0.77.jar)
  
Quark Plugin (Quark-r1.6-179.jar)
  vazkii.quark.base.asm.ClassTransformer
IMLoadingPlugin (infinimend-1.12-1.0.2.jar)
  net.crazysnailboy.mods.infinimend.asm.IMClassTransformer
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.6.0 NVIDIA 460.84' Renderer: 'GeForce GTX 1080/PCIe/SSE2'
	RebornCore: 
		Plugin Engine: 0
		RebornCore Version: 3.19.5
		Runtime Debofucsation 1
		Invalid fingerprint detected for RebornCore!
		RenderEngine: 1
	Launched Version: 1.12.2-forge-14.23.5.2855
	LWJGL: 2.9.4
	OpenGL: GeForce GTX 1080/PCIe/SSE2 GL version 4.6.0 NVIDIA 460.84, NVIDIA Corporation
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: Sphax GrungeBDcraft 256x MC112 - POM-V5.1.zip, LoKiCraft PureCartoonPack 0.2.8c [256x] [1.12].zip
	Current Language: English (US)
	Profiler Position: N/A (disabled)
	CPU: 72x Intel(R) Xeon(R) CPU E5-2686 v3 @ 2.00GHz
	OptiFine Version: OptiFine_1.12.2_HD_U_G5
	OptiFine Build: 20210124-142939
	Render Distance Chunks: 12
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: SEUS-v10.1-Standard.zip
	OpenGlVersion: 4.6.0 NVIDIA 460.84
	OpenGlRenderer: GeForce GTX 1080/PCIe/SSE2
	OpenGlVendor: NVIDIA Corporation
	CpuCount: 72
latest.log (236,940 bytes)   
[19:13:23] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[19:13:23] [main/INFO] [LaunchWrapper]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[19:13:23] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLTweaker
[19:13:23] [main/INFO] [FML]: Forge Mod Loader version 14.23.5.2855 for Minecraft 1.12.2 loading
[19:13:23] [main/INFO] [FML]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_202, running on Linux:amd64:5.12.14, installed at /home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy
[19:13:23] [main/INFO] [FML]: Searching /home/user/.minecraft/mods for mods
[19:13:24] [main/WARN] [FML]: Found FMLCorePluginContainsFMLMod marker in CreativeCore_v1.10.61_mc1.12.2.jar. This is not recommended, @Mods should be in a separate jar from the coremod.
[19:13:24] [main/WARN] [FML]: The coremod com.creativemd.creativecore.core.CreativePatchingLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[19:13:24] [main/WARN] [FML]: The coremod CreativePatchingLoader (com.creativemd.creativecore.core.CreativePatchingLoader) is not signed!
[19:13:24] [main/WARN] [FML]: The coremod net.crazysnailboy.mods.infinimend.asm.IMLoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[19:13:24] [main/WARN] [FML]: Found FMLCorePluginContainsFMLMod marker in InventoryTweaks-1.63.jar. This is not recommended, @Mods should be in a separate jar from the coremod.
[19:13:24] [main/WARN] [FML]: The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[19:13:24] [main/INFO] [FML]: Loading tweaker optifine.OptiFineForgeTweaker from OptiFine_1.12.2_HD_U_G5.jar
[19:13:24] [main/WARN] [FML]: Found FMLCorePluginContainsFMLMod marker in Quark-r1.6-179.jar. This is not recommended, @Mods should be in a separate jar from the coremod.
[19:13:24] [main/WARN] [FML]: The coremod Quark Plugin (vazkii.quark.base.asm.LoadingPlugin) is not signed!
[19:13:24] [main/INFO] [FML]: Loading tweaker org.spongepowered.asm.launch.MixinTweaker from spongeforge-1.12.2-2838-7.3.0.jar
[19:13:24] [main/WARN] [FML]: Found FMLCorePluginContainsFMLMod marker in StackUp-0.2.5.jar. This is not recommended, @Mods should be in a separate jar from the coremod.
[19:13:24] [main/INFO] [FML]: Loading tweaker org.spongepowered.asm.launch.MixinTweaker from Surge-1.12.2-2.0.77.jar
[19:13:24] [main/INFO] [FML]: Loading tweaker org.spongepowered.asm.launch.MixinTweaker from phosphor-1.12.2-0.2.6+build50-universal.jar
[19:13:24] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[19:13:24] [main/INFO] [LaunchWrapper]: Loading tweak class name optifine.OptiFineForgeTweaker
[19:13:24] [main/INFO] [LaunchWrapper]: Loading tweak class name org.spongepowered.asm.launch.MixinTweaker
[19:13:24] [main/INFO] [mixin]: SpongePowered MIXIN Subsystem Version=0.8 Source=file:/home/user/.minecraft/mods/spongeforge-1.12.2-2838-7.3.0.jar Service=LaunchWrapper Env=CLIENT
[19:13:24] [main/WARN] [FML]: The coremod SpongeCoremod (org.spongepowered.mod.SpongeCoremod) is not signed!
[19:13:24] [main/INFO] [mixin]: Compatibility level set to JAVA_8
[19:13:24] [main/WARN] [LaunchWrapper]: Tweak class name org.spongepowered.asm.launch.MixinTweaker has already been visited -- skipping
[19:13:24] [main/WARN] [LaunchWrapper]: Tweak class name org.spongepowered.asm.launch.MixinTweaker has already been visited -- skipping
[19:13:24] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[19:13:24] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[19:13:24] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[19:13:24] [main/INFO] [LaunchWrapper]: Calling tweak class optifine.OptiFineForgeTweaker
[19:13:24] [main/INFO] [STDOUT]: [optifine.OptiFineForgeTweaker:dbg:56]: OptiFineForgeTweaker: acceptOptions
[19:13:24] [main/INFO] [STDOUT]: [optifine.OptiFineForgeTweaker:dbg:56]: OptiFineForgeTweaker: injectIntoClassLoader
[19:13:24] [main/INFO] [STDOUT]: [optifine.OptiFineClassTransformer:dbg:242]: OptiFine ClassTransformer
[19:13:24] [main/INFO] [STDOUT]: [optifine.OptiFineClassTransformer:dbg:242]: OptiFine ZIP file: /home/user/.minecraft/mods/OptiFine_1.12.2_HD_U_G5.jar
[19:13:24] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:26] [main/INFO] [FML]: Found valid fingerprint for Minecraft Forge. Certificate fingerprint e3c3d50c7c986df74c645c0ac54639741c90a557
[19:13:26] [main/INFO] [FML]: Found valid fingerprint for Minecraft. Certificate fingerprint cd99959656f753dc28d863b46769f7f8fbaefcfc
[19:13:26] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:26] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:26] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:26] [main/INFO] [LaunchWrapper]: Calling tweak class org.spongepowered.asm.launch.MixinTweaker
[19:13:26] [main/INFO] [mixin]: Initialised Mixin FML Remapper Adapter with net.minecraftforge.fml.common.asm.transformers.deobf.FMLDeobfuscatingRemapper@5017e1
[19:13:26] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[19:13:27] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:27] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:27] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[19:13:27] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.TerminalTweaker
[19:13:27] [main/INFO] [LaunchWrapper]: Loading tweak class name org.spongepowered.asm.mixin.EnvironmentStateTweaker
[19:13:27] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.TerminalTweaker
[19:13:27] [main/INFO] [LaunchWrapper]: Calling tweak class org.spongepowered.asm.mixin.EnvironmentStateTweaker
[19:13:27] [main/INFO] [STDOUT]: [optifine.OptiFineForgeTweaker:dbg:56]: OptiFineForgeTweaker: getLaunchArguments
[19:13:27] [main/INFO] [Phosphor Plugin]: Sponge has been detected on the classpath! Enabling Sponge specific patches...
[19:13:27] [main/WARN] [Phosphor Plugin]: We cannot currently detect if you are using Sponge's async lighting patch. If you have not already done so, please disable it in your configuration file for SpongeForge or you will run into issues.
[19:13:27] [main/INFO] [Quark ASM]: Transforming net.minecraft.entity.item.EntityMinecart
[19:13:27] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [killMinecart, func_94095_a] Descriptor (Lnet/minecraft/util/DamageSource;)V)
[19:13:27] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:27] [main/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/entity/item/EntityMinecart.func_70099_a (Lnet/minecraft/item/ItemStack;F)Lnet/minecraft/entity/item/EntityItem;
[19:13:27] [main/INFO] [Quark ASM]: Patch result: true
[19:13:27] [main/INFO] [Quark ASM]: Transforming net.minecraft.world.WorldServer
[19:13:27] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [areAllPlayersAsleep, func_73056_e] Descriptor ()Z)
[19:13:27] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:27] [main/INFO] [Quark ASM]: Patch result: true
[19:13:27] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [wakeAllPlayers, func_73053_d] Descriptor ()V)
[19:13:27] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:27] [main/INFO] [Quark ASM]: Patch result: true
[19:13:28] [main/INFO] [Quark ASM]: Transforming net.minecraft.entity.Entity
[19:13:28] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [move, func_70091_d] Descriptor (Lnet/minecraft/entity/MoverType;DDD)V)
[19:13:28] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:28] [main/INFO] [Quark ASM]: Patch result: true
[19:13:28] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:28] [main/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/entity/Entity.func_145775_I ()V
[19:13:28] [main/INFO] [Quark ASM]: Patch result: true
[19:13:28] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [onEntityUpdate, func_70030_z] Descriptor ()V)
[19:13:28] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:28] [main/INFO] [Quark ASM]: Patch result: true
[19:13:28] [main/INFO] [Quark ASM]: Transforming net.minecraft.item.ItemStack
[19:13:28] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [getTextComponent, func_151000_E] Descriptor ()Lnet/minecraft/util/text/ITextComponent;)
[19:13:28] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:28] [main/INFO] [Quark ASM]: Located patch target node ARETURN
[19:13:28] [main/INFO] [Quark ASM]: Patch result: true
[19:13:28] [main/INFO] [mixin]: A re-entrant transformer '$wrapper.vazkii.quark.base.asm.ClassTransformer' was detected and will no longer process meta class data
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.ItemStackPatch:patchCountGetSet:58]: Patched ItemStack Count getter!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.ItemStackPatch:patchCountGetSet:86]: Patched ItemStack Count setter!
[19:13:28] [main/WARN] [mixin]: @Mixin target net/minecraft/block/state/BlockStateContainer$StateImplementation is public in mixins.common.api.json:mcp.block.state.StateImplementationMixin_API and should be specified in value
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/entity/item/EntityMinecartContainer -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/entity/player/InventoryPlayer -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.NetHandlerPlayServerPatch:patchCreativeInventory:51]: Patched processCreativeInventoryAction count check!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.network.PacketBuffer.func_150791_c
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.network.PacketBuffer.func_150788_a
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityBrewingStand -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityChest -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityDispenser -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityFurnace -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityHopper -> func_70297_j_!
[19:13:28] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityShulkerBox -> func_70297_j_!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in org/spongepowered/common/entity/player/SpongeUserInventory -> func_70297_j_!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryBasic -> func_70297_j_!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryCraftResult -> func_70297_j_!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryCrafting -> func_70297_j_!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.inventory.InventoryHelper.func_180173_a
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:215]: Added METHOD: net.minecraft.inventory.InventoryHelper.spawnItemStack
[19:13:30] [main/WARN] [mixin]: @Mixin target net/minecraft/server/management/PlayerProfileCache$ProfileEntry is public in mixins.common.core.json:server.management.PlayerProfileCache_ProfileEntryAccessor and should be specified in value
[19:13:30] [main/WARN] [FML]: Patcher expecting empty class data file for net.minecraft.block.state.BlockStateContainer$Builder, but received non-empty
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraftforge/items/ItemStackHandler -> getSlotLimit!
[19:13:30] [main/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraftforge/items/wrapper/EntityEquipmentInvWrapper -> getSlotLimit!
[19:13:31] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
[19:13:31] [main/WARN] [mixin]: Static binding violation: PRIVATE @Overwrite method func_189509_E in mixins.common.core.json:world.WorldMixin cannot reduce visibiliy of PUBLIC target method, visibility will be upgraded.
[19:13:31] [main/INFO] [Quark ASM]: Transforming net.minecraft.entity.Entity
[19:13:31] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [move, func_70091_d] Descriptor (Lnet/minecraft/entity/MoverType;DDD)V)
[19:13:31] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:31] [main/INFO] [Quark ASM]: Patch result: true
[19:13:31] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:31] [main/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/entity/Entity.func_145775_I ()V
[19:13:31] [main/INFO] [Quark ASM]: Patch result: true
[19:13:31] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [onEntityUpdate, func_70030_z] Descriptor ()V)
[19:13:31] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:31] [main/INFO] [Quark ASM]: Patch result: true
[19:13:32] [main/INFO] [Quark ASM]: Transforming net.minecraft.client.gui.inventory.GuiContainer
[19:13:32] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [drawScreen, func_73863_a] Descriptor (IIF)V)
[19:13:32] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:32] [main/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/client/gui/inventory/GuiContainer.func_146979_b (II)V
[19:13:32] [main/INFO] [Quark ASM]: Patch result: true
[19:13:32] [main/INFO] [Quark ASM]: Transforming net.minecraft.world.WorldServer
[19:13:32] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [areAllPlayersAsleep, func_73056_e] Descriptor ()Z)
[19:13:32] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:32] [main/INFO] [Quark ASM]: Patch result: true
[19:13:32] [main/INFO] [Quark ASM]: Applying Transformation to method (Names [wakeAllPlayers, func_73053_d] Descriptor ()V)
[19:13:32] [main/INFO] [Quark ASM]: Located Method, patching...
[19:13:32] [main/INFO] [Quark ASM]: Patch result: true
[19:13:33] [Client thread/INFO] [net.minecraft.client.Minecraft]: Setting user: tfiskgul
[19:13:33] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.enchantment.Enchantment
[19:13:33] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [canApply, func_92089_a] Descriptor (Lnet/minecraft/item/ItemStack;)Z)
[19:13:33] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:33] [Client thread/INFO] [Quark ASM]: Located patch target node IRETURN
[19:13:33] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:33] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.entity.item.EntityItem
[19:13:33] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [onUpdate, func_70071_h_] Descriptor ()V)
[19:13:33] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:33] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:33] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.item.ItemStack
[19:13:33] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [getTextComponent, func_151000_E] Descriptor ()Lnet/minecraft/util/text/ITextComponent;)
[19:13:33] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:33] [Client thread/INFO] [Quark ASM]: Located patch target node ARETURN
[19:13:33] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:33] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.ItemStackPatch:patchCountGetSet:58]: Patched ItemStack Count getter!
[19:13:33] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.ItemStackPatch:patchCountGetSet:86]: Patched ItemStack Count setter!
[19:13:34] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.block.BlockPistonBase
[19:13:34] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [canPush, func_185646_a] Descriptor (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;ZLnet/minecraft/util/EnumFacing;)Z)
[19:13:34] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:34] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/block/Block.hasTileEntity (Lnet/minecraft/block/state/IBlockState;)Z
[19:13:34] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:34] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [doMove, func_176319_a] Descriptor (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)Z)
[19:13:34] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:34] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/block/state/BlockPistonStructureHelper.func_177254_c ()Ljava/util/List;
[19:13:34] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:34] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [doMove, func_176319_a] Descriptor (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)Z)
[19:13:34] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:34] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKESPECIAL net/minecraft/block/state/BlockPistonStructureHelper.<init> (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)V
[19:13:34] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:34] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [checkForMove, func_176316_e] Descriptor (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;)V)
[19:13:34] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:34] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKESPECIAL net/minecraft/block/state/BlockPistonStructureHelper.<init> (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)V
[19:13:34] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:34] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityBrewingStand -> func_70297_j_!
[19:13:35] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityHopper -> func_70297_j_!
[19:13:35] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityDispenser -> func_70297_j_!
[19:13:35] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.block.BlockDynamicLiquid
[19:13:35] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [isBlocked, func_176372_g] Descriptor (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;)Z)
[19:13:35] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:35] [Client thread/INFO] [Quark ASM]: Located patch target node IRETURN
[19:13:35] [Client thread/INFO] [Quark ASM]: Located patch target node IRETURN
[19:13:35] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:35] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.entity.item.EntityMinecart
[19:13:35] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [killMinecart, func_94095_a] Descriptor (Lnet/minecraft/util/DamageSource;)V)
[19:13:35] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:35] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/entity/item/EntityMinecart.func_70099_a (Lnet/minecraft/item/ItemStack;F)Lnet/minecraft/entity/item/EntityItem;
[19:13:35] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:35] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.tileentity.TileEntityPiston
[19:13:35] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [update, func_73660_a] Descriptor ()V)
[19:13:35] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:35] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:35] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [clearPistonTileEntity, func_145866_f] Descriptor ()V)
[19:13:35] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:35] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/world/World.func_180501_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;I)Z
[19:13:35] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:35] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [update, func_73660_a] Descriptor ()V)
[19:13:35] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:35] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/world/World.func_180501_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;I)Z
[19:13:35] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:35] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityChest -> func_70297_j_!
[19:13:35] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityFurnace -> func_70297_j_!
[19:13:36] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/tileentity/TileEntityShulkerBox -> func_70297_j_!
[19:13:36] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.enchantment.EnchantmentDamage
[19:13:36] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [canApply, func_92089_a] Descriptor (Lnet/minecraft/item/ItemStack;)Z)
[19:13:36] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:36] [Client thread/INFO] [Quark ASM]: Located patch target node IRETURN
[19:13:36] [Client thread/INFO] [Quark ASM]: Located patch target node IRETURN
[19:13:36] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:36] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.entity.item.EntityBoat
[19:13:36] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [attackEntityFrom, func_70097_a] Descriptor (Lnet/minecraft/util/DamageSource;F)Z)
[19:13:36] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:36] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/entity/item/EntityBoat.func_145778_a (Lnet/minecraft/item/Item;IF)Lnet/minecraft/entity/item/EntityItem;
[19:13:36] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:37] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.item.ItemBanner
[19:13:37] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [appendHoverTextFromTileEntityTag, func_185054_a] Descriptor (Lnet/minecraft/item/ItemStack;Ljava/util/List;)V)
[19:13:37] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:37] [Client thread/INFO] [Quark ASM]: Located patch target node BIPUSH 6
[19:13:37] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:37] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.entity.ai.EntityAITarget
[19:13:37] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [isSuitableTarget, func_179445_a] Descriptor (Lnet/minecraft/entity/EntityLiving;Lnet/minecraft/entity/EntityLivingBase;ZZ)Z)
[19:13:37] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:37] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:37] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/entity/item/EntityMinecartContainer -> func_70297_j_!
[19:13:38] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.item.crafting.RecipesBanners$RecipeAddPattern
[19:13:38] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [matches, func_77569_a] Descriptor (Lnet/minecraft/inventory/InventoryCrafting;Lnet/minecraft/world/World;)Z)
[19:13:38] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:38] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKESTATIC net/minecraft/tileentity/TileEntityBanner.func_175113_c (Lnet/minecraft/item/ItemStack;)I
[19:13:38] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.inventory.ContainerMerchant
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [transferStackInSlot, func_82846_b] Descriptor (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerMerchant.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerMerchant.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerMerchant.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerMerchant.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/entity/player/InventoryPlayer -> func_70297_j_!
[19:13:39] [Client thread/INFO] [net.optifine.reflect.Reflector]: [OptiFine] *** Reflector Forge ***
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.EntityRenderer
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderWorldPass, func_175068_a] Descriptor (IFJ)V)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/client/renderer/EntityRenderer.func_78479_a (FI)V
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.entity.RenderManager
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderEntity, func_188391_a] Descriptor (Lnet/minecraft/entity/Entity;DDDFFZ)V)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/client/renderer/entity/Render.func_76986_a (Lnet/minecraft/entity/Entity;DDDFF)V
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.entity.Render
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderEntityOnFire, func_76977_a] Descriptor (Lnet/minecraft/entity/Entity;DDDF)V)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [net.optifine.reflect.Reflector]: [OptiFine] *** Reflector Vanilla ***
[19:13:39] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryBasic -> func_70297_j_!
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.model.ModelBiped
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [setRotationAngles, func_78087_a] Descriptor (FFFFFFLnet/minecraft/entity/Entity;)V)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node RETURN
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.entity.RenderBoat
[19:13:39] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [doRender, func_188300_b] Descriptor (Lnet/minecraft/entity/item/EntityBoat;DDDFF)V)
[19:13:39] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:39] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEINTERFACE net/minecraft/client/model/IMultipassModel.func_187054_b (Lnet/minecraft/entity/Entity;FFFFFF)V
[19:13:39] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:39] [Client thread/WARN] [net.minecraft.client.settings.GameSettings]: Skipping bad option: lastServer:
[19:13:40] [Client thread/INFO] [net.minecraft.client.Minecraft]: LWJGL Version: 2.9.4
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] 
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] OptiFine_1.12.2_HD_U_G5
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] Build: 20210124-142939
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] OS: Linux (amd64) version 5.12.14
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] Java: 1.8.0_202, Oracle Corporation
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] VM: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] LWJGL: 2.9.4
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] OpenGL: GeForce GTX 1080/PCIe/SSE2, version 4.6.0 NVIDIA 460.84, NVIDIA Corporation
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] OpenGL Version: 4.6.0
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] Maximum texture size: 32768x32768
[19:13:40] [VersionCheck/INFO] [Config]: [OptiFine] Checking for new version
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] OpenGL Version: 4.6.0 NVIDIA 460.84
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Vendor:  NVIDIA Corporation
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Renderer: GeForce GTX 1080/PCIe/SSE2
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Capabilities:  2.0  2.1  3.0  3.2  4.0 
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] GL_MAX_DRAW_BUFFERS: 8
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] GL_MAX_COLOR_ATTACHMENTS_EXT: 8
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] GL_MAX_TEXTURE_IMAGE_UNITS: 32
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Load shaders configuration.
[19:13:40] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Loaded shaderpack: SEUS-v10.1-Standard.zip
[19:13:40] [Client thread/WARN] [Config]: [OptiFine] Ambiguous shader option: NORMAL_MAP_MAX_ANGLE
[19:13:40] [Client thread/WARN] [Config]: [OptiFine]  - in gbuffers_textured_lit.fsh: 0.95f
[19:13:40] [Client thread/WARN] [Config]: [OptiFine]  - in gbuffers_terrain.fsh: 1.0f
[19:13:40] [Client thread/WARN] [Config]: [OptiFine] Ambiguous shader option: NORMAL_MAP_MAX_ANGLE
[19:13:40] [Client thread/WARN] [Config]: [OptiFine]  - in gbuffers_textured_lit.fsh, gbuffers_terrain.fsh: 0.95f
[19:13:40] [Client thread/WARN] [Config]: [OptiFine]  - in gbuffers_entities.fsh: 1.0f
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] [Shaders] Delayed loading of block mappings after resources are loaded
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] [Shaders] Delayed loading of item mappings after resources are loaded
[19:13:40] [Client thread/INFO] [Config]: [OptiFine] [Shaders] Delayed loading of entity mappings after resources are loaded
[19:13:40] [Client thread/INFO] [Quark ASM]: Transforming net.minecraftforge.client.model.pipeline.LightUtil
[19:13:40] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderQuadColor, ] Descriptor (Lnet/minecraft/client/renderer/BufferBuilder;Lnet/minecraft/client/renderer/block/model/BakedQuad;I)V)
[19:13:40] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:40] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:41] [VersionCheck/INFO] [Config]: [OptiFine] Version found: G5
[19:13:41] [Client thread/INFO] [FML]: Forge Mod Loader has detected optifine OptiFine_1.12.2_HD_U_G5, enabling compatibility features
[19:13:41] [Client thread/INFO] [FML]: -- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Linux (amd64) version 5.12.14
	Java Version: 1.8.0_202, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1035211168 bytes (987 MB) / 2113929216 bytes (2016 MB) up to 8589934592 bytes (8192 MB)
	JVM Flags: 7 total; -Xmx8G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=32M
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: 
	Loaded coremods (and transformers): 
Inventory Tweaks Coremod (InventoryTweaks-1.63.jar)
  invtweaks.forge.asm.ContainerTransformer
CreativePatchingLoader (CreativeCore_v1.10.61_mc1.12.2.jar)
  
PhosphorFMLLoadingPlugin (phosphor-1.12.2-0.2.6+build50-universal.jar)
  
StackUpCore (StackUp-0.2.5.jar)
  pl.asie.stackup.core.StackUpTransformer
SurgeLoadingPlugin (Surge-1.12.2-2.0.77.jar)
  
Quark Plugin (Quark-r1.6-179.jar)
  vazkii.quark.base.asm.ClassTransformer
IMLoadingPlugin (infinimend-1.12-1.0.2.jar)
  net.crazysnailboy.mods.infinimend.asm.IMClassTransformer
SpongeCoremod (spongeforge-1.12.2-2838-7.3.0.jar)
  org.spongepowered.common.launch.transformer.SpongeSuperclassTransformer
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.6.0 NVIDIA 460.84' Renderer: 'GeForce GTX 1080/PCIe/SSE2'
[19:13:41] [Client thread/INFO] [FML]: MinecraftForge v14.23.5.2855 Initialized
[19:13:41] [Client thread/INFO] [FML]: Starts to replace vanilla recipe ingredients with ore ingredients.
[19:13:41] [Client thread/INFO] [FML]: Invalid recipe found with multiple oredict ingredients in the same ingredient...
[19:13:41] [Client thread/INFO] [FML]: Replaced 1227 ore ingredients
[19:13:41] [Client thread/INFO] [Sponge]: Found mcmod.info at jar:file:/home/user/.minecraft/mods/spongeforge-1.12.2-2838-7.3.0.jar!/mcmod.info
[19:13:41] [Client thread/INFO] [Sponge]: Creating injector in stage 'PRODUCTION'
[19:13:42] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.network.PacketBuffer.func_150791_c
[19:13:42] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.network.PacketBuffer.func_150788_a
[19:13:43] [Thread-3/INFO] [FML]: Using sync timing. 200 frames of Display.update took 191417844 nanos
[19:13:44] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.inventory.ContainerWorkbench
[19:13:44] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [transferStackInSlot, func_82846_b] Descriptor (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;)
[19:13:44] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:44] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerWorkbench.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:44] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerWorkbench.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:44] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerWorkbench.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:44] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/inventory/ContainerWorkbench.func_75135_a (Lnet/minecraft/item/ItemStack;IIZ)Z
[19:13:44] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:44] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.util.DamageSource
[19:13:44] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [causePlayerDamage, func_76365_a] Descriptor (Lnet/minecraft/entity/player/EntityPlayer;)Lnet/minecraft/util/DamageSource;)
[19:13:44] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:44] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:48] [Client thread/INFO] [FML]: Searching /home/user/.minecraft/mods for mods
[19:13:49] [Client thread/WARN] [FML]: Mod codechickenlib is missing the required element 'version' and a version.properties file could not be found. Falling back to metadata version 3.2.3.358
[19:13:50] [Client thread/WARN] [FML]: Mod ironchest is missing the required element 'version' and a version.properties file could not be found. Falling back to metadata version 1.12.2-7.0.67.844
[19:13:50] [Client thread/INFO] [FML]: Mod mendingfix is missing the required element 'name'. Substituting mendingfix
[19:13:51] [Client thread/INFO] [FML]: Forge Mod Loader has identified 74 mods to load
[19:13:52] [Client thread/INFO] [FML]: Attempting connection with missing mods [minecraft, mcp, FML, forge, creativecoredummy, infinimend, spongeapi, sponge, spongeforge, ambientsounds, appleskin, attributefix, autoreglib, baubles, betterplacement, biomesoplenty, buildcraftcompat, buildcraftbuilders, buildcraftcore, buildcraftenergy, buildcraftfactory, buildcraftlib, buildcraftrobotics, buildcraftsilicon, buildcrafttransport, carryon, clarity, codechickenlib, cofhcore, cofhworld, controlling, creativecore, enchdesc, enchxchg, energyconverters, environmentaltech, fencejumper, fluxnetworks, friendlyfire, gravestone, gravisuite, hearthstonemod, waila, ic2, inventorytweaks, ironchest, jei, journeymap, justsleep, linear, lunatriuscore, mcjtylib_ng, mendingfix, netherportalfix, nhc, oops, quark, reborncore, redstoneflux, rftools, stackie, stackup, stg, surge, thermalexpansion, thermalfoundation, toolbelt, torohealthmod, travelersbackpack, treechopper, universalmodifiers, valkyrielib, xnet, phosphor-lighting] at CLIENT
[19:13:52] [Client thread/INFO] [FML]: Attempting connection with missing mods [minecraft, mcp, FML, forge, creativecoredummy, infinimend, spongeapi, sponge, spongeforge, ambientsounds, appleskin, attributefix, autoreglib, baubles, betterplacement, biomesoplenty, buildcraftcompat, buildcraftbuilders, buildcraftcore, buildcraftenergy, buildcraftfactory, buildcraftlib, buildcraftrobotics, buildcraftsilicon, buildcrafttransport, carryon, clarity, codechickenlib, cofhcore, cofhworld, controlling, creativecore, enchdesc, enchxchg, energyconverters, environmentaltech, fencejumper, fluxnetworks, friendlyfire, gravestone, gravisuite, hearthstonemod, waila, ic2, inventorytweaks, ironchest, jei, journeymap, justsleep, linear, lunatriuscore, mcjtylib_ng, mendingfix, netherportalfix, nhc, oops, quark, reborncore, redstoneflux, rftools, stackie, stackup, stg, surge, thermalexpansion, thermalfoundation, toolbelt, torohealthmod, travelersbackpack, treechopper, universalmodifiers, valkyrielib, xnet, phosphor-lighting] at SERVER
[19:13:52] [Client thread/WARN] [Sponge]: There's no certificate fingerprint available
[19:13:52] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.RenderItem
[19:13:52] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderItem, func_180454_a] Descriptor (Lnet/minecraft/item/ItemStack;Lnet/minecraft/client/renderer/block/model/IBakedModel;)V)
[19:13:52] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:52] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:52] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderEffect, func_191966_a] Descriptor (Lnet/minecraft/client/renderer/block/model/IBakedModel;)V)
[19:13:52] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:13:52] [Client thread/INFO] [Quark ASM]: Located patch target node LDC -8372020
[19:13:52] [Client thread/INFO] [Quark ASM]: Located patch target node LDC -8372020
[19:13:52] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:13:53] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.RenderItemPatch:patchDrawItemCount:54]: Patched item count render in RenderItem!
[19:13:53] [Client thread/WARN] [mixin]: Static binding violation: PRIVATE @Overwrite method func_76615_h in mixins.phosphor.json:common.MixinChunk cannot reduce visibiliy of PUBLIC target method, visibility will be upgraded.
[19:13:54] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.NetHandlerPlayServerPatch:patchCreativeInventory:51]: Patched processCreativeInventoryAction count check!
[19:13:54] [Client thread/ERROR] [FML]: The mod redstoneflux is expecting signature 8a6abf2cb9e141b866580d369ba6548732eff25f for source RedstoneFlux-1.12-2.1.1.1-universal.jar, however there is no signature matching that description
[19:13:54] [Client thread/ERROR] [FML]: The mod cofhworld is expecting signature 8a6abf2cb9e141b866580d369ba6548732eff25f for source CoFHWorld-1.12.2-1.4.0.1-universal.jar, however there is no signature matching that description
[19:13:55] [Client thread/ERROR] [FML]: The mod reborncore is expecting signature 8727a3141c8ec7f173b87aa78b9b9807867c4e6b for source RebornCore-1.12.2-3.19.5-universal.jar, however there is no signature matching that description
[19:13:55] [Client thread/ERROR] [reborncore]: Invalid fingerprint detected for RebornCore!
[19:13:55] [Client thread/ERROR] [FML]: The mod thermalfoundation is expecting signature 8a6abf2cb9e141b866580d369ba6548732eff25f for source ThermalFoundation-1.12.2-2.6.7.1-universal.jar, however there is no signature matching that description
[19:13:55] [Client thread/ERROR] [FML]: The mod thermalexpansion is expecting signature 8a6abf2cb9e141b866580d369ba6548732eff25f for source ThermalExpansion-1.12.2-5.5.7.1-universal.jar, however there is no signature matching that description
[19:13:55] [Client thread/INFO] [net.minecraft.client.resources.SimpleReloadableResourceManager]: Reloading ResourceManager: Default, FMLFileResourcePack:Forge Mod Loader, FMLFileResourcePack:Minecraft Forge, FMLFileResourcePack:SpongeForge, FMLFileResourcePack:AmbientSounds, FMLFileResourcePack:AppleSkin, FMLFileResourcePack:Attribute Fix, FMLFileResourcePack:AutoRegLib, FMLFileResourcePack:Baubles, FMLFileResourcePack:Better Placement, FMLFileResourcePack:Biomes O' Plenty, FMLFileResourcePack:BuildCraft Compat, FMLFileResourcePack:BuildCraft Builders, FMLFileResourcePack:BuildCraft, FMLFileResourcePack:BuildCraft Energy, FMLFileResourcePack:BuildCraft Factory, FMLFileResourcePack:BuildCraft Lib, FMLFileResourcePack:BuildCraft Robotics, FMLFileResourcePack:BuildCraft Silicon, FMLFileResourcePack:BuildCraft Transport, FMLFileResourcePack:Carry On, FMLFileResourcePack:Clarity, FMLFileResourcePack:CodeChicken Lib, FMLFileResourcePack:CoFH Core, FMLFileResourcePack:CoFH World, FMLFileResourcePack:Controlling, FMLFileResourcePack:CreativeCore, FMLFileResourcePack:Enchantment Descriptions, FMLFileResourcePack:Enchantments Exchanger, FMLFileResourcePack:Energy Converters, FMLFileResourcePack:Environmental Tech, FMLFileResourcePack:Fence Jumper, FMLFileResourcePack:Flux Networks, FMLFileResourcePack:Friendly Fire, FMLFileResourcePack:Gravestone Mod, FMLFileResourcePack:Gravitation Suite, FMLFileResourcePack:Hearthstone Mod, FMLFileResourcePack:Waila, FMLFileResourcePack:IndustrialCraft 2, FMLFileResourcePack:Inventory Tweaks, FMLFileResourcePack:Iron Chest, FMLFileResourcePack:Just Enough Items, FMLFileResourcePack:JourneyMap, FMLFileResourcePack:Just Sleep, FMLFileResourcePack:Linear, FMLFileResourcePack:LunatriusCore, FMLFileResourcePack:McJtyLib, FMLFileResourcePack:mendingfix, FMLFileResourcePack:NetherPortalFix, FMLFileResourcePack:NHAVE's Core, FMLFileResourcePack:Oops, FMLFileResourcePack:Quark, FMLFileResourcePack:Reborn Core, FMLFileResourcePack:Redstone Flux, FMLFileResourcePack:RFTools, FMLFileResourcePack:Stackie, FMLFileResourcePack:StackUp!, FMLFileResourcePack:SwingThroughGrass, FMLFileResourcePack:Surge, FMLFileResourcePack:Thermal Expansion, FMLFileResourcePack:Thermal Foundation, FMLFileResourcePack:Tool Belt, FMLFileResourcePack:ToroHealth Damage Indicators, FMLFileResourcePack:Traveler's Backpack, FMLFileResourcePack:Tree Chopper, FMLFileResourcePack:Universal Modifiers, FMLFileResourcePack:Valkyrie Lib, FMLFileResourcePack:XNet, FMLFileResourcePack:Phosphor Lighting Engine, Sphax GrungeBDcraft 256x MC112 - POM-V5.1.zip, LoKiCraft PureCartoonPack 0.2.8c [256x] [1.12].zip
[19:13:55] [Client thread/INFO] [FML]: Processing ObjectHolder annotations
[19:13:55] [Client thread/INFO] [FML]: Found 1277 ObjectHolder annotations
[19:13:55] [Client thread/INFO] [FML]: Identifying ItemStackHolder annotations
[19:13:55] [Client thread/INFO] [FML]: Found 0 ItemStackHolder annotations
[19:13:55] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraftforge/items/ItemStackHandler -> getSlotLimit!
[19:13:55] [Client thread/INFO] [FML]: Configured a dormant chunk cache size of 0
[19:13:55] [Forge Version Check/INFO] [forge.VersionCheck]: [carryon] Starting version check at https://gist.githubusercontent.com/Tschipp/dccadee7c90d7a34e6e76a35d9d6fa2e/raw/
[19:13:56] [Forge Version Check/INFO] [forge.VersionCheck]: [cofhworld] Starting version check at https://raw.github.com/cofh/version/master/cofhworld_update.json
[19:13:57] [Forge Version Check/INFO] [forge.VersionCheck]: [cofhworld] Found status: UP_TO_DATE Target: null
[19:13:57] [Forge Version Check/INFO] [forge.VersionCheck]: [forge] Starting version check at http://files.minecraftforge.net/maven/net/minecraftforge/forge/promotions_slim.json
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [forge] Found status: UP_TO_DATE Target: null
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [cofhcore] Starting version check at https://raw.github.com/cofh/version/master/cofhcore_update.json
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [cofhcore] Found status: UP_TO_DATE Target: null
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [infinimend] Starting version check at https://raw.githubusercontent.com/crazysnailboy/InfiniMend/master/update.json
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [infinimend] Found status: UP_TO_DATE Target: null
[19:13:58] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftcore] Starting version check at https://mod-buildcraft.com/version/versions.json
[19:13:58] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in vazkii/quark/management/entity/EntityChestPassenger -> func_70297_j_!
[19:13:58] [Client thread/INFO] [Quark]: 'Automatic tool restock' is forcefully disabled as it's incompatible with the following loaded mods: [inventorytweaks]
[19:13:59] [Client thread/INFO] [Quark]: 'Inventory sorting' is forcefully disabled as it's incompatible with the following loaded mods: [inventorytweaks]
[19:13:59] [Client thread/INFO] [Quark]: 'Food tooltip' is forcefully disabled as it's incompatible with the following loaded mods: [appleskin]
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftcore] Found status: AHEAD Target: null
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [spongeforge] Starting version check at https://files.minecraftforge.net/maven/org/spongepowered/spongeforge/promotions_slim.json
[19:13:59] [Client thread/INFO] [Quark]: Module world is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module automation is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module tweaks is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module experimental is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module building is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module vanity is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module management is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module misc is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module decoration is enabled
[19:13:59] [Client thread/INFO] [Quark]: Module client is enabled
[19:13:59] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in vazkii/arl/block/tile/TileSimpleInventory -> func_70297_j_!
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [spongeforge] Found status: OUTDATED Target: 7.1.2
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftcompat] Starting version check at https://mod-buildcraft.com/version/versions-compat.json
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftcompat] Found status: AHEAD Target: null
[19:13:59] [Forge Version Check/INFO] [forge.VersionCheck]: [gravestone] Starting version check at http://maxhenkel.de/update/gravestone.json
[19:14:00] [Forge Version Check/INFO] [forge.VersionCheck]: [gravestone] Found status: AHEAD Target: null
[19:14:00] [Forge Version Check/INFO] [forge.VersionCheck]: [thermalfoundation] Starting version check at https://raw.github.com/cofh/version/master/thermalfoundation_update.json
[19:14:00] [Forge Version Check/INFO] [forge.VersionCheck]: [thermalfoundation] Found status: UP_TO_DATE Target: null
[19:14:00] [Forge Version Check/INFO] [forge.VersionCheck]: [codechickenlib] Starting version check at http://chickenbones.net/Files/notification/version.php?query=forge&version=1.12&file=CodeChickenLib
[19:14:01] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.tileentity.TileEntityPistonRenderer
[19:14:01] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [render, func_192841_a] Descriptor (Lnet/minecraft/tileentity/TileEntityPiston;DDDFIF)V)
[19:14:01] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:14:01] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:14:01] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.StackUpTransformer:spliceClasses:191]: Spliced in METHOD: net.minecraft.client.renderer.entity.RenderEntityItem.func_177078_a
[19:14:01] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.RenderEntityItemPatch:patchDistanceConstant:64]: Patched item render distance constant in RenderEntityItem!
[19:14:01] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.RenderEntityItemPatch:patchDistanceConstant:64]: Patched item render distance constant in RenderEntityItem!
[19:14:01] [Client thread/INFO] [net.minecraft.client.resources.SimpleReloadableResourceManager]: Reloading ResourceManager: Default, FMLFileResourcePack:Forge Mod Loader, FMLFileResourcePack:Minecraft Forge, FMLFileResourcePack:SpongeForge, FMLFileResourcePack:AmbientSounds, FMLFileResourcePack:AppleSkin, FMLFileResourcePack:Attribute Fix, FMLFileResourcePack:AutoRegLib, FMLFileResourcePack:Baubles, FMLFileResourcePack:Better Placement, FMLFileResourcePack:Biomes O' Plenty, FMLFileResourcePack:BuildCraft Compat, FMLFileResourcePack:BuildCraft Builders, FMLFileResourcePack:BuildCraft, FMLFileResourcePack:BuildCraft Energy, FMLFileResourcePack:BuildCraft Factory, FMLFileResourcePack:BuildCraft Lib, FMLFileResourcePack:BuildCraft Robotics, FMLFileResourcePack:BuildCraft Silicon, FMLFileResourcePack:BuildCraft Transport, FMLFileResourcePack:Carry On, FMLFileResourcePack:Clarity, FMLFileResourcePack:CodeChicken Lib, FMLFileResourcePack:CoFH Core, FMLFileResourcePack:CoFH World, FMLFileResourcePack:Controlling, FMLFileResourcePack:CreativeCore, FMLFileResourcePack:Enchantment Descriptions, FMLFileResourcePack:Enchantments Exchanger, FMLFileResourcePack:Energy Converters, FMLFileResourcePack:Environmental Tech, FMLFileResourcePack:Fence Jumper, FMLFileResourcePack:Flux Networks, FMLFileResourcePack:Friendly Fire, FMLFileResourcePack:Gravestone Mod, FMLFileResourcePack:Gravitation Suite, FMLFileResourcePack:Hearthstone Mod, FMLFileResourcePack:Waila, FMLFileResourcePack:IndustrialCraft 2, FMLFileResourcePack:Inventory Tweaks, FMLFileResourcePack:Iron Chest, FMLFileResourcePack:Just Enough Items, FMLFileResourcePack:JourneyMap, FMLFileResourcePack:Just Sleep, FMLFileResourcePack:Linear, FMLFileResourcePack:LunatriusCore, FMLFileResourcePack:McJtyLib, FMLFileResourcePack:mendingfix, FMLFileResourcePack:NetherPortalFix, FMLFileResourcePack:NHAVE's Core, FMLFileResourcePack:Oops, FMLFileResourcePack:Quark, FMLFileResourcePack:Reborn Core, FMLFileResourcePack:Redstone Flux, FMLFileResourcePack:RFTools, FMLFileResourcePack:Stackie, FMLFileResourcePack:StackUp!, FMLFileResourcePack:SwingThroughGrass, FMLFileResourcePack:Surge, FMLFileResourcePack:Thermal Expansion, FMLFileResourcePack:Thermal Foundation, FMLFileResourcePack:Tool Belt, FMLFileResourcePack:ToroHealth Damage Indicators, FMLFileResourcePack:Traveler's Backpack, FMLFileResourcePack:Tree Chopper, FMLFileResourcePack:Universal Modifiers, FMLFileResourcePack:Valkyrie Lib, FMLFileResourcePack:XNet, FMLFileResourcePack:Phosphor Lighting Engine, quark-texture-proxy, quark-emote-pack, Sphax GrungeBDcraft 256x MC112 - POM-V5.1.zip, LoKiCraft PureCartoonPack 0.2.8c [256x] [1.12].zip
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [codechickenlib] Found status: BETA Target: null
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [travelersbackpack] Starting version check at https://gist.githubusercontent.com/Tiviacz1337/906937677aa472285dff9d6c2a189d5e/raw
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [travelersbackpack] Found status: AHEAD Target: null
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [thermalexpansion] Starting version check at https://raw.github.com/cofh/version/master/thermalexpansion_update.json
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [thermalexpansion] Found status: UP_TO_DATE Target: null
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftlib] Starting version check at https://mod-buildcraft.com/version/versions.json
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [buildcraftlib] Found status: AHEAD Target: null
[19:14:01] [Forge Version Check/INFO] [forge.VersionCheck]: [enchxchg] Starting version check at http://snowstep115.pr-ac.jp/enchxchg.json
[19:14:01] [Client thread/WARN] [mixin]: @Inject(@At("INVOKE")) Shift.BY=2 on mixins.forge.core.json:forge.fluids.BlockFluidFiniteMixin_Forge::handler$zpo000$onSetBlockForSwapping exceeds the maximum allowed value: 0. Increase the value of maxShiftBy to suppress this warning.
[19:14:01] [Client thread/WARN] [mixin]: Injection warning: LVT in net/minecraftforge/fluids/BlockFluidFinite::tryToFlowVerticallyInto(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;I)I has incompatible changes at opcode 7 in callback net/minecraftforge/fluids/BlockFluidFinite::onSetBlockForSwapping.
Expected: [Lnet/minecraft/block/state/IBlockState;, Lnet/minecraft/util/math/BlockPos;, I, I, Lnet/minecraft/block/state/IBlockState;]
   Found: [Lnet/minecraft/block/state/IBlockState;]
[19:14:01] [Client thread/WARN] [Sponge]: Could not find variant owning class, assigning fallback id: biomesoplenty:block_b_o_p_gem_ore_variant
[19:14:02] [Client thread/INFO] [BuildCraft]: 
[19:14:02] [Client thread/INFO] [BuildCraft]: Starting BuildCraft 7.99.24.8
[19:14:02] [Client thread/INFO] [BuildCraft]: Copyright (c) the BuildCraft team, 2011-2018
[19:14:02] [Client thread/INFO] [BuildCraft]: https://www.mod-buildcraft.com
[19:14:02] [Client thread/INFO] [BuildCraft]: Detailed Build Information:
[19:14:02] [Client thread/INFO] [BuildCraft]:   Branch HEAD
[19:14:02] [Client thread/INFO] [BuildCraft]:   Commit 68370005a10488d02a4bb4b8df86bbc62633d216
[19:14:02] [Client thread/INFO] [BuildCraft]:     Bump version for release relase, fix a java 13+ compile error, tweak changelog, and fix engines chaining one block more than they should have.
[19:14:02] [Client thread/INFO] [BuildCraft]:     committed by AlexIIL
[19:14:02] [Client thread/INFO] [BuildCraft]: 
[19:14:02] [Client thread/INFO] [BuildCraft]: Loaded Modules:
[19:14:02] [Client thread/INFO] [BuildCraft]:   - lib
[19:14:02] [Client thread/INFO] [BuildCraft]:   - core
[19:14:02] [Client thread/INFO] [BuildCraft]:   - builders
[19:14:02] [Client thread/INFO] [BuildCraft]:   - energy
[19:14:02] [Client thread/INFO] [BuildCraft]:   - factory
[19:14:02] [Client thread/INFO] [BuildCraft]:   - robotics
[19:14:02] [Client thread/INFO] [BuildCraft]:   - silicon
[19:14:02] [Client thread/INFO] [BuildCraft]:   - transport
[19:14:02] [Client thread/INFO] [BuildCraft]:   - compat
[19:14:02] [Client thread/INFO] [BuildCraft]: Missing Modules:
[19:14:02] [Client thread/INFO] [BuildCraft]: 
[19:14:03] [Client thread/INFO] [BuildCraft]: [debugger] Not a dev environment!
[19:14:03] [Client thread/INFO] [FML]: Configured a dormant chunk cache size of 0
[19:14:04] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryCrafting -> func_70297_j_!
[19:14:04] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in buildcraft/lib/tile/item/ItemHandlerSimple -> getSlotLimit!
[19:14:05] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in ic2/core/block/invslot/InvSlot -> <init>!
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_ore_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_scaffold_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find east owning class, assigning fallback id: ic2:block_i_c2_fence_east
[19:14:10] [Client thread/WARN] [Sponge]: Could not find north owning class, assigning fallback id: ic2:block_i_c2_fence_north
[19:14:10] [Client thread/WARN] [Sponge]: Could not find south owning class, assigning fallback id: ic2:block_i_c2_fence_south
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_i_c2_fence_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find west owning class, assigning fallback id: ic2:block_i_c2_fence_west
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_sheet_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_tex_glass_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_foam_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_wall_type
[19:14:10] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: ic2:block_mining_pipe_type
[19:14:11] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 354 out of 354 recipes for shaped recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 79 out of 79 recipes for shapeless recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 41 out of 41 recipes for solid uu recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 27 out of 27 recipes for furnace recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 5 out of 5 recipes for blast furnace recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 14 out of 14 recipes for block cutter recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 51 out of 51 recipes for compressor recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 14 out of 14 recipes for extractor recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 89 out of 89 recipes for macerator recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 5 out of 5 recipes for metal former cutting recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 10 out of 10 recipes for metal former extruding recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 14 out of 14 recipes for metal former rolling recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 8 out of 8 recipes for ore washing recipes
[19:14:12] [Client thread/INFO] [ic2.Recipe]: Successfully loaded 26 out of 26 recipes for thermal centrifuge recipes
[19:14:13] [Client thread/WARN] [ic2.Item]: The item tritium_fuel_rod is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Item]: The item plasma_launcher is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Item]: The item item_pipe is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Item]: The item extractor_cover is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Item]: The item ingot2 is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Item]: The item test_pick is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid deuterium is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_brass is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_bronze is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_copper is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_gold is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_iron is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_lead is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_silver is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_steel is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_tin is not initialized.
[19:14:13] [Client thread/WARN] [ic2.Block]: The fluid molten_zinc is not initialized.
[19:14:13] [Client thread/INFO] [BuildCraft]: 
[19:14:13] [Client thread/INFO] [BuildCraft]: Starting BuildCraftCompat 7.99.24.8
[19:14:13] [Client thread/INFO] [BuildCraft]: Copyright (c) the BuildCraft team, 2011-2017
[19:14:13] [Client thread/INFO] [BuildCraft]: https://www.mod-buildcraft.com
[19:14:13] [Client thread/INFO] [BuildCraft]: Detailed Build Information:
[19:14:13] [Client thread/INFO] [BuildCraft]:   Branch 8.0.x-1.12.2
[19:14:13] [Client thread/INFO] [BuildCraft]:   Commit 16adfdb3d6a3362ba3659be7d5e9b7d12af7eee5
[19:14:13] [Client thread/INFO] [BuildCraft]:     Bump for release.
[19:14:13] [Client thread/INFO] [BuildCraft]:     committed by AlexIIL
[19:14:13] [Client thread/INFO] [BuildCraft]: 
[19:14:13] [Client thread/INFO] [BuildCraft]: [compat] Module list:
[19:14:13] [Client thread/INFO] [BuildCraft]: [compat]   x forestry (It cannot load)
[19:14:13] [Client thread/INFO] [BuildCraft]: [compat]   x theoneprobe (It cannot load)
[19:14:13] [Client thread/INFO] [BuildCraft]: [compat]   x crafttweaker (It cannot load)
[19:14:13] [Client thread/INFO] [BuildCraft]: [compat]   + ic2
[19:14:13] [Client thread/INFO] [CoFH World]: Registering default Feature Templates...
[19:14:14] [Client thread/INFO] [CoFH World]: Registering default World Generators...
[19:14:14] [Client thread/INFO] [CoFH World]: Verifying or creating base world generation directory...
[19:14:14] [Client thread/INFO] [CoFH World]: Complete.
[19:14:14] [Client thread/INFO] [STDOUT]: [com.valkyrieofnight.vliblegacy.m_guide.item.ItemGuide:getGuiRegistryObject:26]: com.valkyrieofnight.vliblegacy.m_guide.item.ItemGuide$GuiRegistryID@2549c1f3
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: java.io.FileNotFoundException: https://raw.githubusercontent.com/ValkyrieofNight/ValkyrieLib/ValkyrieofNight-supporters/supporters.json
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1890)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.http.HttpURLConnection.access$200(HttpURLConnection.java:91)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.http.HttpURLConnection$9.run(HttpURLConnection.java:1484)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.http.HttpURLConnection$9.run(HttpURLConnection.java:1482)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at java.security.AccessController.doPrivileged(Native Method)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at java.security.AccessController.doPrivilegedWithCombiner(AccessController.java:782)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1481)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:263)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at java.net.URL.openStream(URL.java:1045)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry.download(JsonSupporterRegistry.java:60)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry.loadRegistryData(JsonSupporterRegistry.java:39)
[19:14:14] [Thread-6/INFO] [STDERR]: [com.valkyrieofnight.vlib.supporters.registry.JsonSupporterRegistry:download:66]: 	at com.valkyrieofnight.vlib.supporters.download.SupporterRegistryThread.run(SupporterRegistryThread.java:18)
[19:14:15] [Client thread/INFO] [gravisuite]: Loading GS Config from /home/user/.minecraft/config/gravisuite.cfg
[19:14:15] [Client thread/INFO] [hearthstonemod]: Preinitializing
[19:14:15] [Client thread/INFO] [hearthstonemod]: Loading config
[19:14:15] [Client thread/INFO] [hearthstonemod]: Registering items
[19:14:15] [Client thread/INFO] [hearthstonemod]: Registering sound events
[19:14:15] [Client thread/INFO] [hearthstonemod]: Registering event handler
[19:14:15] [Client thread/INFO] [hearthstonemod]: Loading item models
[19:14:15] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in cpw/mods/ironchest/common/tileentity/chest/TileEntityIronChest -> func_70297_j_!
[19:14:15] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in cpw/mods/ironchest/common/tileentity/shulker/TileEntityIronShulkerBox -> func_70297_j_!
[19:14:15] [Client thread/INFO] [journeymap]: No plugins for JourneyMap API discovered.
[19:14:15] [Client thread/INFO] [reborncore]: Pre loaded registries in 30ms
[19:14:15] [Client thread/INFO] [reborncore]: Loaded registrys for reborncore.common.registration.RegistryConstructionEvent in 36ms
[19:14:15] [Client thread/INFO] [reborncore]: Loaded power manager from: ForgePowerManager
[19:14:15] [Client thread/INFO] [reborncore]: Loaded registrys for net.minecraftforge.fml.common.event.FMLPreInitializationEvent in 5ms
[19:14:16] [Client thread/INFO] [mcjtylib_ng]: RFTools Detected XNet: enabling support
[19:14:16] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in mcjty/lib/container/DefaultSidedInventory -> func_70297_j_!
[19:14:16] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in mcjty/lib/container/GhostOutputSlot -> func_75219_a!
[19:14:17] [Client thread/INFO] [mcjtylib_ng]: Could not read 'userbuilder.json', this is not an error!
[19:14:17] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in mcjty/rftools/blocks/spawner/MatterBeamerTileEntity -> func_70297_j_!
[19:14:17] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in mcjty/rftools/blocks/itemfilter/ItemFilterTileEntity -> func_70297_j_!
[19:14:17] [Client thread/INFO] [FML]: OBJLoader: Domain rftools has been added.
[19:14:18] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in cofh/core/block/TileInventory -> func_70297_j_!
[19:14:19] [Client thread/INFO] [travelersbackpack]: Registered the class com.tiviacz.travelersbackpack.fluids.effects.EffectWater as a FluidEffect for water with the ID 0
[19:14:19] [Client thread/INFO] [travelersbackpack]: Registered the class com.tiviacz.travelersbackpack.fluids.effects.EffectLava as a FluidEffect for lava with the ID 1
[19:14:19] [Client thread/INFO] [travelersbackpack]: Registered the class com.tiviacz.travelersbackpack.fluids.effects.EffectMilk as a FluidEffect for milk with the ID 2
[19:14:19] [Client thread/INFO] [travelersbackpack]: Registered the class com.tiviacz.travelersbackpack.fluids.effects.EffectPotion as a FluidEffect for potion with the ID 3
[19:14:19] [Client thread/INFO] [travelersbackpack]: Starting the Integration Handler.
[19:14:19] [Client thread/INFO] [travelersbackpack]: Didn't find any possible mod integration(s)!
[19:14:19] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in com/tiviacz/travelersbackpack/tileentity/TileEntityTravelersBackpack -> func_70297_j_!
[19:14:19] [Client thread/INFO] [FML]: OBJLoader: Domain xnet has been added.
[19:14:19] [Client thread/INFO] [STDOUT]: [com.valkyrieofnight.vliblegacy.lib.registry.VLGameRegistry$BlockItemHandler:registerBlocks:32]: TESTREGISTERINGBLOCKS
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `fluxcontroller`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `fluxpoint`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `fluxplug`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `fluxstorage`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `herculeanfluxstorage`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `gargantuanfluxstorage`, expected `fluxnetworks`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `tileentitygavestone`, expected `gravestone`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.iron`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.gold`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.diamond`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.copper`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.silver`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.crystal`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.obsidian`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironchest.dirtchest9000`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.iron`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.gold`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.diamond`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.copper`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.silver`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.crystal`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `ironshulkerbox.obsidian`, expected `ironchest`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [Sponge]: Could not find working owning class, assigning fallback id: rftools:_working
[19:14:19] [Client thread/WARN] [Sponge]: Could not find value owning class, assigning fallback id: rftools:_value
[19:14:19] [Client thread/WARN] [Sponge]: Could not find enabled owning class, assigning fallback id: rftools:_enabled
[19:14:19] [Client thread/WARN] [Sponge]: Could not find level owning class, assigning fallback id: rftools:_level
[19:14:19] [Client thread/WARN] [Sponge]: Could not find level owning class, assigning fallback id: rftools:_level
[19:14:19] [Client thread/WARN] [Sponge]: Could not find error owning class, assigning fallback id: xnet:_error
[19:14:19] [Client thread/WARN] [Sponge]: Could not find error owning class, assigning fallback id: xnet:_error
[19:14:19] [Client thread/WARN] [Sponge]: Could not find error owning class, assigning fallback id: xnet:_error
[19:14:19] [Client thread/WARN] [Sponge]: Could not find active owning class, assigning fallback id: buildcraftcore:block_marker_volume_active
[19:14:19] [Client thread/WARN] [Sponge]: Could not find type owning class, assigning fallback id: buildcraftcore:block_engine__b_c8_type
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_down owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_down
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_east owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_east
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_north owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_north
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_south owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_south
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_up owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_up
[19:14:19] [Client thread/WARN] [Sponge]: Could not find connected_west owning class, assigning fallback id: buildcraftbuilders:block_frame_connected_west
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `tiletoolstation`, expected `nhc`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `minecraft` for name `tiledisplay`, expected `nhc`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/INFO] [FML]: Applying holder lookups
[19:14:19] [Client thread/INFO] [FML]: Holder lookups applied
[19:14:19] [Client thread/INFO] [FML]: Applying holder lookups
[19:14:19] [Client thread/INFO] [FML]: Holder lookups applied
[19:14:19] [Client thread/WARN] [FML]: Potentially Dangerous alternative prefix `sponge` for name `human`, expected `spongeforge`. This could be a intended override, but in most cases indicates a broken mod.
[19:14:19] [Client thread/INFO] [FML]: Applying holder lookups
[19:14:19] [Client thread/INFO] [FML]: Holder lookups applied
[19:14:20] [Client thread/INFO] [FML]: Applying holder lookups
[19:14:20] [Client thread/INFO] [FML]: Holder lookups applied
[19:14:20] [Client thread/INFO] [FML]: Injecting itemstacks
[19:14:20] [Client thread/INFO] [FML]: Itemstack injection complete
[19:14:20] [Client thread/INFO] [Config]: [OptiFine] *** Reloading textures ***
[19:14:20] [Client thread/INFO] [Config]: [OptiFine] Resource packs: Sphax GrungeBDcraft 256x MC112 - POM-V5.1.zip, LoKiCraft PureCartoonPack 0.2.8c [256x] [1.12].zip
[19:14:20] [Sound Library Loader/INFO] [net.minecraft.client.audio.SoundManager]: Starting up SoundSystem...
[19:14:20] [Thread-7/INFO] [net.minecraft.client.audio.SoundManager]: Initializing LWJGL OpenAL
[19:14:20] [Thread-7/INFO] [net.minecraft.client.audio.SoundManager]: (The LWJGL binding of OpenAL.  For more information, see http://www.lwjgl.org)
[19:14:20] [Thread-7/INFO] [net.minecraft.client.audio.SoundManager]: OpenAL initialized.
[19:14:21] [Sound Library Loader/INFO] [net.minecraft.client.audio.SoundManager]: Sound engine started
[19:14:23] [Client thread/INFO] [FML]: OBJLoader.Parser: command 's' (model: 'xnet:models/block/antenna.obj') is not currently supported, skipping. Line: 180 's off'
[19:14:25] [Client thread/INFO] [Config]: [OptiFine] Mipmap levels: 4
[19:14:25] [Client thread/INFO] [Config]: [OptiFine] Multitexture: false
[19:14:25] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/ctm.properties
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Block not found for name: minecraft:<list
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Block not found for name: minecraft:of
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Block not found for name: minecraft:block
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Block not found for name: minecraft:IDs
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid interval: 0-4095>, when parsing: 0-4095>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: <list, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: of, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: values, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: between, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: and, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: 31>, when parsing: <list of values between 0 and 31>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Unknown connect: <block | tile | material>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Unknown face: <combination
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Unknown face: of:
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Unknown face: all>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Biome not found: <biome
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Biome not found: list>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: <minimum height>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: <maximum height>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: <width of pattern>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: <height of pattern>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid interval: <same-size, when parsing: <same-size list of weights>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: list, when parsing: <same-size list of weights>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: of, when parsing: <same-size list of weights>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Invalid number: weights>, when parsing: <same-size list of weights>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Unknown symmetry: <none | opposite>
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] Invalid connect in: mcpatcher/ctm/ctm.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass _red/glass_pane_red.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass _red/glass_red.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass/glass.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass/glass_pane.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_blue/glass_blue.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_blue/glass_pane_blue.properties
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Block not found for name: minecraft:minecraft
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_cyan/glass_cyan.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_cyan/glass_pane_cyan.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_gray/glass_gray.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_gray/glass_pane_gray.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_green/glass_green.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_green/glass_pane_green.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_orange/glass.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_orange/glass_pane.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_pink/glass_pane_pink.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_pink/glass_pink.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_purple/glass_pane_purple.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_purple/glass_purple.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_silver/glass_pane_silver.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_silver/glass_silver.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_white/glass_pane_white.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_white/glass_white.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_yellow/glass_pane_yellow.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/glass_yellow/glass_yellow.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_brown/stained_glass_brown.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_brown/stained_glass_pane_brown.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_light_blue/glass_light_blue.properties
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Property value not found: lightBlue, property: color, block: Block{minecraft:stained_glass}
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_light_blue/glass_pane_light_blue.properties
[19:14:26] [Client thread/WARN] [Config]: [OptiFine] ConnectedTextures: Property value not found: lightBlue, property: color, block: Block{minecraft:stained_glass}
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_lime/glass_lime.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_lime/glass_pane_lime.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_magenta/glass_magenta.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] ConnectedTextures: mcpatcher/ctm/stained_glass_magenta/glass_pane_magenta.properties
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] Multipass connected textures: false
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] Multipass connected textures: false
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] Multipass connected textures: false
[19:14:26] [Client thread/INFO] [Config]: [OptiFine] BetterGrass: Parsing default configuration optifine/bettergrass.properties
[19:14:47] [Client thread/ERROR] [net.minecraft.client.renderer.texture.TextureMap]: Unable to parse metadata from minecraft:textures/items/book_writable.png
java.lang.RuntimeException: broken aspect ratio and not an animation
	at net.minecraft.client.renderer.texture.TextureAtlasSprite.func_188538_a(TextureAtlasSprite.java:380) ~[cdq.class:?]
	at net.minecraft.client.renderer.texture.TextureMap.func_110571_b(TextureMap.java:228) [cdp.class:?]
	at net.minecraft.client.renderer.texture.TextureMap.func_174943_a(TextureMap.java:152) [cdp.class:?]
	at net.minecraftforge.client.model.ModelLoader.func_177570_a(ModelLoader.java:159) [ModelLoader.class:?]
	at net.minecraft.client.renderer.block.model.ModelManager.func_110549_a(ModelManager.java:28) [cgc.class:?]
	at net.minecraft.client.resources.SimpleReloadableResourceManager.func_110542_a(SimpleReloadableResourceManager.java:121) [cev.class:?]
	at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:513) [bib.class:?]
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:378) [bib.class:?]
	at net.minecraft.client.main.Main.main(SourceFile:123) [Main.class:?]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_202]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_202]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_202]
	at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_202]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
[19:14:56] [Client thread/INFO] [Config]: [OptiFine] Custom loader sprites: 487
[19:14:56] [Client thread/INFO] [Config]: [OptiFine] Sprite dependencies: 5
[19:14:57] [Client thread/INFO] [net.minecraft.client.renderer.texture.TextureMap]: Created: 16384x8192 textures-atlas
[19:14:57] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] allocateTextureMap 4 16384 8192 
[19:15:11] [Client thread/INFO] [Config]: [OptiFine] Animated sprites: 626
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:12] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:13] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:14] [Client thread/WARN] [net.minecraft.client.renderer.block.model.ModelBlock]: Unable to resolve texture due to upward reference: #all in minecraft:models/block/cube_all.json
[19:15:15] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.entity.layers.LayerArmorBase
[19:15:15] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderArmorLayer, func_188361_a] Descriptor (Lnet/minecraft/entity/EntityLivingBase;FFFFFFFLnet/minecraft/inventory/EntityEquipmentSlot;)V)
[19:15:15] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:15:15] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:15:15] [Client thread/INFO] [Quark ASM]: Optifine Detected. Disabling Patch for Names [renderEnchantedGlint, func_188364_a] Descriptor (Lnet/minecraft/client/renderer/entity/RenderLivingBase;Lnet/minecraft/entity/EntityLivingBase;Lnet/minecraft/client/model/ModelBase;FFFFFFF)V
[19:15:15] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.entity.layers.LayerEntityOnShoulder
[19:15:15] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [renderEntityOnShoulder, func_192864_a] Descriptor (Lnet/minecraft/entity/player/EntityPlayer;Ljava/util/UUID;Lnet/minecraft/nbt/NBTTagCompound;Lnet/minecraft/client/renderer/entity/RenderLivingBase;Lnet/minecraft/client/model/ModelBase;Lnet/minecraft/util/ResourceLocation;Ljava/lang/Class;FFFFFFFZ)Lnet/minecraft/client/renderer/entity/layers/LayerEntityOnShoulder$DataHolder;)
[19:15:15] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:15:15] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/client/renderer/entity/RenderLivingBase.func_110776_a (Lnet/minecraft/util/ResourceLocation;)V
[19:15:15] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:15:15] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.renderer.BlockModelRenderer
[19:15:15] [Client thread/INFO] [Quark ASM]: Optifine Detected. Disabling Patch for Names [renderQuadsFlat, func_187496_a] Descriptor (Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/util/math/BlockPos;IZLnet/minecraft/client/renderer/BufferBuilder;Ljava/util/List;Ljava/util/BitSet;)V
[19:15:16] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in gigaherz/toolbelt/belt/ToolBeltInventory -> getSlotLimit!
[19:15:16] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.enchantment.EnchantmentHelper
[19:15:16] [Client thread/INFO] [Quark ASM]: Applying Transformation to method (Names [getEnchantments, func_82781_a] Descriptor (Lnet/minecraft/item/ItemStack;)Ljava/util/Map;)
[19:15:16] [Client thread/INFO] [Quark ASM]: Located Method, patching...
[19:15:16] [Client thread/INFO] [Quark ASM]: Located patch target node INVOKEVIRTUAL net/minecraft/item/ItemStack.func_77986_q ()Lnet/minecraft/nbt/NBTTagList;
[19:15:16] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:15:18] [Client thread/INFO] [FML]: Applying holder lookups
[19:15:18] [Client thread/INFO] [FML]: Holder lookups applied
[19:15:18] [Client thread/INFO] [ambientsounds]: Successfully loaded sound engine. %s dimension(s) and %s region(s)
[19:15:18] [Client thread/INFO] [jei]: Created: 128x256 textures-atlas
[19:15:19] [Client thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/inventory/InventoryCraftResult -> func_70297_j_!
[19:15:19] [Client thread/INFO] [BuildCraft]: [energy.oilgen] Registered the ocean oil biome.
[19:15:19] [Client thread/INFO] [BuildCraft]: [energy.oilgen] Registered the desert oil biome.
[19:15:19] [Client thread/INFO] [BuildCraft]: [energy.oilgen] Registered the oil spout generator
[19:15:19] [Client thread/INFO] [BuildCraft]: [energy.oilgen] Registered the oil biome initiializer
[19:15:19] [Client thread/INFO] [hearthstonemod]: Initializing
[19:15:19] [Client thread/INFO] [hearthstonemod]: Registering recipies
[19:15:19] [Client thread/INFO] [inventorytweaks]: Mod initialized
[19:15:19] [Client thread/INFO] [journeymap]: JourneyMap log initialized.
[19:15:19] [Client thread/INFO] [journeymap]: initialize ENTER
[19:15:19] [CC Supporters Downloader/INFO] [STDERR]: [codechicken.lib.internal.ModDescriptionEnhancer:lambda$init$0:85]: java.lang.UnsupportedOperationException: JsonNull
[19:15:19] [CC Supporters Downloader/INFO] [STDERR]: [codechicken.lib.internal.ModDescriptionEnhancer:lambda$init$0:85]: 	at com.google.gson.JsonElement.getAsString(JsonElement.java:191)
[19:15:19] [CC Supporters Downloader/INFO] [STDERR]: [codechicken.lib.internal.ModDescriptionEnhancer:lambda$init$0:85]: 	at codechicken.lib.internal.ModDescriptionEnhancer.parse(ModDescriptionEnhancer.java:103)
[19:15:19] [CC Supporters Downloader/INFO] [STDERR]: [codechicken.lib.internal.ModDescriptionEnhancer:lambda$init$0:85]: 	at codechicken.lib.internal.ModDescriptionEnhancer.lambda$init$0(ModDescriptionEnhancer.java:82)
[19:15:19] [CC Supporters Downloader/INFO] [STDERR]: [codechicken.lib.internal.ModDescriptionEnhancer:lambda$init$0:85]: 	at java.lang.Thread.run(Thread.java:748)
[19:15:19] [Client thread/WARN] [journeymap]: core (Initialized) Bad configField entry during updateFrom(): optionsManagerViewed=null
[19:15:19] [Client thread/INFO] [journeymap]: [ClientAPI] built with JourneyMap API 1.4
[19:15:19] [Client thread/INFO] [journeymap]: Initializing plugins with Client API: journeymap.client.api.impl.ClientAPI
[19:15:19] [Client thread/INFO] [journeymap]: initialize EXIT, elapsed count 0 avg �ms
[19:15:19] [Client thread/INFO] [reborncore]: Found 162 ores
[19:15:19] [Client thread/INFO] [reborncore]: Created new network wrapper rc&me.modmuss5&18880
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&me.modmuss5&18880 side: SERVER id:0
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&me.modmuss5&18880 side: CLIENT id:1
[19:15:20] [Client thread/INFO] [reborncore]: Created new network wrapper rc&reborncore.&64769
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&64769 side: SERVER id:0
[19:15:20] [Client thread/INFO] [reborncore]: Created new network wrapper rc&reborncore.&39932
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:0
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: SERVER id:1
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: SERVER id:2
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: SERVER id:3
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:4
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:5
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: SERVER id:6
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: SERVER id:7
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:8
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:9
[19:15:20] [Client thread/INFO] [reborncore]: Registed packet to rc&reborncore.&39932 side: CLIENT id:10
[19:15:20] [Client thread/INFO] [reborncore]: Loaded registrys for net.minecraftforge.fml.common.event.FMLInitializationEvent in 1ms
[19:15:20] [Client thread/INFO] [STDOUT]: [mcjty.lib.font.TrueTypeFont:<init>:119]: TrueTypeFont loaded: java.awt.Font[family=Ubuntu,name=Ubuntu,style=plain,size=40] - AntiAlias = false
[19:15:20] [Client thread/INFO] [FML]: Injecting itemstacks
[19:15:20] [Client thread/INFO] [FML]: Itemstack injection complete
[19:15:21] [Client thread/WARN] [BuildCraft]: [lib.guide.loader.xml] Unknown recipe type null - must be one of [crafting, assembling, smelting]
[19:15:21] [Client thread/WARN] [BuildCraft]: [lib.guide.loader] Unable to load guide page 'buildcraftcore:item/volume_box' (full path = 'buildcraftcore:compat/buildcraft/guide/en_us/item/volume_box.md') because we couldn't find any of the valid paths in any resource pack!
[19:15:21] [Client thread/WARN] [BuildCraft]: [lib.guide.loader] Unable to load guide page 'buildcraftcore:item/marker_volume' (full path = 'buildcraftcore:compat/buildcraft/guide/en_us/item/marker_volume.md') because we couldn't find any of the valid paths in any resource pack!
[19:15:21] [Client thread/WARN] [BuildCraft]: [lib.guide.loader] Unable to load guide page 'buildcraftfactory:block/autoworkbench_item' (full path = 'buildcraftfactory:compat/buildcraft/guide/en_us/block/autoworkbench_item.md') because we couldn't find any of the valid paths in any resource pack!
[19:15:21] [Client thread/WARN] [BuildCraft]: [lib.guide.loader] Unable to load guide page 'buildcraftcore:block/engine_creative' (full path = 'buildcraftcore:compat/buildcraft/guide/en_us/block/engine_creative.md') because we couldn't find any of the valid paths in any resource pack!
[19:15:22] [Client thread/INFO] [BuildCraft]: [lib.search] Max suffix length is 31
[19:15:22] [Client thread/INFO] [BuildCraft]: [lib.search]   'tile.mcjtylib_ng.multipart.name'
[19:15:22] [Client thread/INFO] [pl.asie.stackup.StackUp]: Parsing custom.stackup
[19:15:22] [Client thread/INFO] [pl.asie.stackup.StackUp]: Parsed 2 lines.
[19:15:22] [Client thread/INFO] [ic2.Uu]: Loading predefined UU world scan values, run /ic2 uu-world-scan <small|medium|large> to calibrate them for your world.
[19:15:22] [Client thread/INFO] [ic2.General]: ic2 version 2.8.221-ex112 loaded.
[19:15:23] [Client thread/INFO] [journeymap]: Added entity icons from journeymap:icon/entity. Success: false
[19:15:24] [Client thread/INFO] [journeymap]: Preloaded theme textures: 73
[19:15:24] [Client thread/INFO] [reborncore]: Loaded registrys for net.minecraftforge.fml.common.event.FMLPostInitializationEvent in 0ms
[19:15:24] [Client thread/INFO] [thermalexpansion]: Thermal Expansion: Biomes O' Plenty Plugin Enabled.
[19:15:24] [Client thread/INFO] [thermalexpansion]: Thermal Expansion: IndustrialCraft 2 Plugin Enabled.
[19:15:24] [Client thread/INFO] [thermalexpansion]: Thermal Expansion: Quark Plugin Enabled.
[19:15:24] [Client thread/INFO] [jei]: Starting JEI...
[19:15:25] [Client thread/INFO] [jei]: Registering recipe categories...
[19:15:25] [LunatriusCore Version Check/ERROR] [lunatriuscore]: Something went wrong!
com.google.gson.JsonSyntaxException: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 1 path $
	at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:224) ~[ReflectiveTypeAdapterFactory$Adapter.class:?]
	at com.google.gson.Gson.fromJson(Gson.java:887) ~[Gson.class:?]
	at com.google.gson.Gson.fromJson(Gson.java:852) ~[Gson.class:?]
	at com.google.gson.Gson.fromJson(Gson.java:801) ~[Gson.class:?]
	at com.google.gson.Gson.fromJson(Gson.java:773) ~[Gson.class:?]
	at com.github.lunatrius.core.version.VersionChecker$1.run(VersionChecker.java:58) [VersionChecker$1.class:?]
Caused by: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 1 path $
	at com.google.gson.stream.JsonReader.beginObject(JsonReader.java:385) ~[JsonReader.class:?]
	at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:213) ~[ReflectiveTypeAdapterFactory$Adapter.class:?]
	... 5 more
[19:15:25] [Client thread/INFO] [BuildCraft]: Loaded JEI mods: [factory, energy, silicon]
[19:15:25] [Client thread/INFO] [jei]: Registering recipe categories took 297.3 ms
[19:15:25] [Client thread/INFO] [jei]: Registering mod plugins...
[19:15:26] [Client thread/INFO] [invtweaks.forge.asm.ContainerTransformer]: InvTweaks: successfully transformed setFocused/func_146195_b
[19:15:27] [Client thread/INFO] [jei]: Registering mod plugins took 1.314 s
[19:15:27] [Client thread/INFO] [jei]: Building recipe registry...
[19:15:27] [Client thread/INFO] [jei]: Building recipe registry took 408.6 ms
[19:15:27] [Client thread/INFO] [jei]: Building ingredient list...
[19:15:27] [Client thread/INFO] [jei]: Building ingredient list took 96.14 ms
[19:15:27] [Client thread/INFO] [jei]: Building ingredient filter...
[19:15:28] [Client thread/INFO] [jei]: Building ingredient filter took 810.5 ms
[19:15:28] [Client thread/INFO] [jei]: Building bookmarks...
[19:15:28] [Client thread/INFO] [jei]: Building bookmarks took 6.984 ms
[19:15:28] [Client thread/INFO] [jei]: Building runtime...
[19:15:28] [Client thread/INFO] [invtweaks.forge.asm.ContainerTransformer]: InvTweaks: successfully transformed setFocused/func_146195_b
[19:15:28] [Client thread/INFO] [jei]: Building runtime took 124.3 ms
[19:15:28] [Client thread/INFO] [jei]: Optimizing memory usage...
[19:15:28] [Client thread/INFO] [jei]: Optimizing memory usage took 144.7 ms
[19:15:28] [Client thread/INFO] [jei]: Starting JEI took 3.814 s
[19:15:28] [Client thread/INFO] [cofhcore]: CoFH Core: Load Complete.
[19:15:28] [Client thread/INFO] [CoFH World]: Accumulating world generation files from: "/home/user/.minecraft/config/cofh/world"
[19:15:28] [Client thread/INFO] [CoFH World]: Found a total of 3 world generation files.
[19:15:28] [Client thread/INFO] [CoFH World]: Reading world generation info from: "cofh/world/01_thermalfoundation_ores.json":
[19:15:29] [Client thread/INFO] [CoFH World]: Reading world generation info from: "cofh/world/02_thermalfoundation_oil.json":
[19:15:29] [Client thread/INFO] [CoFH World]: Reading world generation info from: "cofh/world/03_thermalfoundation_clathrates.json":
[19:15:29] [Client thread/INFO] [CoFH World]: CoFH World: Load Complete.
[19:15:29] [Client thread/INFO] [Waila]: Starting Waila...
[19:15:29] [Client thread/INFO] [Waila]: Gathering annotated plugins...
[19:15:29] [Client thread/INFO] [Waila]: Gathering wrapped IMC plugins...
[19:15:29] [Client thread/INFO] [Waila]: Registering plugins...
[19:15:29] [Client thread/INFO] [Waila]: Registering plugin at mcp.mobius.waila.addons.core.PluginCore
[19:15:29] [Client thread/INFO] [Waila]: Registering plugin at mcp.mobius.waila.addons.capability.PluginCapability
[19:15:29] [Client thread/INFO] [Waila]: Registering plugin at buildcraft.compat.module.waila.HWYLAPlugin
[19:15:29] [Client thread/INFO] [Waila]: Registering plugin at mcjty.lib.compat.waila.WailaCompatibility
[19:15:29] [Client thread/INFO] [Waila]: Registering plugin at mcp.mobius.waila.addons.minecraft.PluginMinecraft
[19:15:29] [Client thread/INFO] [Waila]: Starting Waila took 53.51 ms
[19:15:29] [Client thread/INFO] [Surge]: The game loaded in approximately  124.624 seconds.
[19:15:29] [Client thread/INFO] [thermalfoundation]: [Whitelist] Reading established Whitelist from file.
[19:15:29] [Client thread/INFO] [thermalfoundation]: Thermal Foundation: Load Complete.
[19:15:29] [Client thread/INFO] [thermalexpansion]: Thermal Expansion: Load Complete.
[19:15:30] [Client thread/INFO] [FML]: Forge Mod Loader has successfully loaded 74 mods
[19:15:30] [Client thread/WARN] [net.minecraft.client.settings.GameSettings]: Skipping bad option: lastServer:
[19:15:30] [Client thread/WARN] [com.mojang.text2speech.NarratorLinux]: ERROR : Couldn't load Narrator library : Unable to load library 'fliteWrapper': Native library (linux-x86-64/libfliteWrapper.so) not found in resource path ([file:/home/user/.minecraft/libraries/net/minecraftforge/forge/1.12.2-14.23.5.2855/forge-1.12.2-14.23.5.2855.jar, file:/home/user/.minecraft/libraries/org/ow2/asm/asm-debug-all/5.2/asm-debug-all-5.2.jar, file:/home/user/.minecraft/libraries/net/minecraft/launchwrapper/1.12/launchwrapper-1.12.jar, file:/home/user/.minecraft/libraries/org/jline/jline/3.5.1/jline-3.5.1.jar, file:/home/user/.minecraft/libraries/com/typesafe/akka/akka-actor_2.11/2.3.3/akka-actor_2.11-2.3.3.jar, file:/home/user/.minecraft/libraries/com/typesafe/config/1.2.1/config-1.2.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-actors-migration_2.11/1.1.0/scala-actors-migration_2.11-1.1.0.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-compiler/2.11.1/scala-compiler-2.11.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/plugins/scala-continuations-library_2.11/1.0.2_mc/scala-continuations-library_2.11-1.0.2_mc.jar, file:/home/user/.minecraft/libraries/org/scala-lang/plugins/scala-continuations-plugin_2.11.1/1.0.2_mc/scala-continuations-plugin_2.11.1-1.0.2_mc.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-reflect/2.11.1/scala-reflect-2.11.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-swing_2.11/1.0.1/scala-swing_2.11-1.0.1.jar, file:/home/user/.minecraft/libraries/org/scala-lang/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.jar, file:/home/user/.minecraft/libraries/lzma/lzma/0.0.1/lzma-0.0.1.jar, file:/home/user/.minecraft/libraries/java3d/vecmath/1.5.2/vecmath-1.5.2.jar, file:/home/user/.minecraft/libraries/net/sf/trove4j/trove4j/3.0.3/trove4j-3.0.3.jar, file:/home/user/.minecraft/libraries/org/apache/maven/maven-artifact/3.5.3/maven-artifact-3.5.3.jar, file:/home/user/.minecraft/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar, file:/home/user/.minecraft/libraries/com/mojang/patchy/1.2.3/patchy-1.2.3.jar, file:/home/user/.minecraft/libraries/oshi-project/oshi-core/1.1/oshi-core-1.1.jar, file:/home/user/.minecraft/libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar, file:/home/user/.minecraft/libraries/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar, file:/home/user/.minecraft/libraries/com/ibm/icu/icu4j-core-mojang/51.2/icu4j-core-mojang-51.2.jar, file:/home/user/.minecraft/libraries/com/paulscode/codecjorbis/20101023/codecjorbis-20101023.jar, file:/home/user/.minecraft/libraries/com/paulscode/codecwav/20101023/codecwav-20101023.jar, file:/home/user/.minecraft/libraries/com/paulscode/libraryjavasound/20101123/libraryjavasound-20101123.jar, file:/home/user/.minecraft/libraries/com/paulscode/librarylwjglopenal/20100824/librarylwjglopenal-20100824.jar, file:/home/user/.minecraft/libraries/com/paulscode/soundsystem/20120107/soundsystem-20120107.jar, file:/home/user/.minecraft/libraries/io/netty/netty-all/4.1.9.Final/netty-all-4.1.9.Final.jar, file:/home/user/.minecraft/libraries/com/google/guava/guava/21.0/guava-21.0.jar, file:/home/user/.minecraft/libraries/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar, file:/home/user/.minecraft/libraries/commons-io/commons-io/2.5/commons-io-2.5.jar, file:/home/user/.minecraft/libraries/commons-codec/commons-codec/1.10/commons-codec-1.10.jar, file:/home/user/.minecraft/libraries/net/java/jinput/jinput/2.0.5/jinput-2.0.5.jar, file:/home/user/.minecraft/libraries/net/java/jutils/jutils/1.0.0/jutils-1.0.0.jar, file:/home/user/.minecraft/libraries/com/google/code/gson/gson/2.8.0/gson-2.8.0.jar, file:/home/user/.minecraft/libraries/com/mojang/authlib/1.5.25/authlib-1.5.25.jar, file:/home/user/.minecraft/libraries/com/mojang/realms/1.10.22/realms-1.10.22.jar, file:/home/user/.minecraft/libraries/org/apache/commons/commons-compress/1.8.1/commons-compress-1.8.1.jar, file:/home/user/.minecraft/libraries/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.jar, file:/home/user/.minecraft/libraries/commons-logging/commons-logging/1.1.3/commons-logging-1.1.3.jar, file:/home/user/.minecraft/libraries/org/apache/httpcomponents/httpcore/4.3.2/httpcore-4.3.2.jar, file:/home/user/.minecraft/libraries/it/unimi/dsi/fastutil/7.1.0/fastutil-7.1.0.jar, file:/home/user/.minecraft/libraries/org/apache/logging/log4j/log4j-api/2.8.1/log4j-api-2.8.1.jar, file:/home/user/.minecraft/libraries/org/apache/logging/log4j/log4j-core/2.8.1/log4j-core-2.8.1.jar, file:/home/user/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl/2.9.4-nightly-20150209/lwjgl-2.9.4-nightly-20150209.jar, file:/home/user/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl_util/2.9.4-nightly-20150209/lwjgl_util-2.9.4-nightly-20150209.jar, file:/home/user/.minecraft/libraries/com/mojang/text2speech/1.10.3/text2speech-1.10.3.jar, file:/home/user/.minecraft/versions/1.12.2-forge-14.23.5.2855/1.12.2-forge-14.23.5.2855.jar, file:/home/user/.minecraft/mods/CreativeCore_v1.10.61_mc1.12.2.jar, file:/home/user/.minecraft/mods/infinimend-1.12-1.0.2.jar, file:/home/user/.minecraft/mods/InventoryTweaks-1.63.jar, file:/home/user/.minecraft/mods/OptiFine_1.12.2_HD_U_G5.jar, file:/home/user/.minecraft/mods/Quark-r1.6-179.jar, file:/home/user/.minecraft/mods/spongeforge-1.12.2-2838-7.3.0.jar, file:/home/user/.minecraft/mods/StackUp-0.2.5.jar, file:/home/user/.minecraft/mods/Surge-1.12.2-2.0.77.jar, file:/home/user/.minecraft/mods/phosphor-1.12.2-0.2.6+build50-universal.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/cldrdata.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/dnsns.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/jaccess.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/localedata.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/nashorn.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/sunec.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/sunjce_provider.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/sunpkcs11.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/zipfs.jar, file:/home/user/.minecraft/runtime/jre-legacy/linux/jre-legacy/lib/ext/jfxrt.jar, asmgen:/, file:/home/user/.minecraft/mods/AmbientSounds_v3.1.5_mc1.12.2.jar, file:/home/user/.minecraft/mods/jei_1.12.2-4.16.1.302.jar, file:/home/user/.minecraft/mods/AppleSkin-mc1.12-1.0.14.jar, file:/home/user/.minecraft/mods/AttributeFix-1.12.2-1.0.10.jar, file:/home/user/.minecraft/mods/AutoRegLib-1.3-32.jar, file:/home/user/.minecraft/mods/Baubles-1.12-1.5.2.jar, file:/home/user/.minecraft/mods/BetterPlacement-1.0.0-1.jar, file:/home/user/.minecraft/mods/BiomesOPlenty-1.12.2-7.0.1.2444-universal.jar, file:/home/user/.minecraft/mods/buildcraft-all-7.99.24.8.jar, file:/home/user/.minecraft/mods/industrialcraft-2-2.8.221-ex112.jar, file:/home/user/.minecraft/mods/carryon-1.12.2-1.12.4.16.jar, file:/home/user/.minecraft/mods/clarity-1.1.jar, file:/home/user/.minecraft/mods/CodeChickenLib-1.12.2-3.2.3.358-universal.jar, file:/home/user/.minecraft/mods/RedstoneFlux-1.12-2.1.1.1-universal.jar, file:/home/user/.minecraft/mods/CoFHCore-1.12.2-4.6.6.1-universal.jar, file:/home/user/.minecraft/mods/CoFHWorld-1.12.2-1.4.0.1-universal.jar, file:/home/user/.minecraft/mods/Controlling-3.0.10.jar, file:/home/user/.minecraft/mods/EnchantmentDescriptions-1.12.2-1.1.20.jar, file:/home/user/.minecraft/mods/enchxchg-1.12.2-1.2.14.jar, file:/home/user/.minecraft/mods/energyconverters_1.12.2-1.3.7.30.jar, file:/home/user/.minecraft/mods/valkyrielib-1.12.2-2.0.20.1.jar, file:/home/user/.minecraft/mods/environmentaltech-1.12.2-2.0.20.1.jar, file:/home/user/.minecraft/mods/fencejumper-1.12-1.0.5.jar, file:/home/user/.minecraft/mods/FluxNetworks-1.12.2-4.1.1.34.jar, file:/home/user/.minecraft/mods/FriendlyFire-1.12.2-1.5.10.jar, file:/home/user/.minecraft/mods/gravestone-1.10.3.jar, file:/home/user/.minecraft/mods/Gravitation+Suite-3.1.1.jar, file:/home/user/.minecraft/mods/HearthstoneMod-1.12.2-0.4.7.jar, file:/home/user/.minecraft/mods/Hwyla-1.8.26-B41_1.12.2.jar, file:/home/user/.minecraft/mods/ironchest-1.12.2-7.0.72.847.jar, file:/home/user/.minecraft/mods/journeymap-1.12.2-5.7.1.jar, file:/home/user/.minecraft/mods/RebornCore-1.12.2-3.19.5-universal.jar, file:/home/user/.minecraft/mods/JustSleep-1.0.0.1.jar, file:/home/user/.minecraft/mods/linear-1.12.2-1.3.jar, file:/home/user/.minecraft/mods/LunatriusCore-1.12.2-1.2.0.42-universal.jar, file:/home/user/.minecraft/mods/mcjtylib-1.12-3.5.4.jar, file:/home/user/.minecraft/mods/mendingfix-1.0.1-1.12.2.2618.jar, file:/home/user/.minecraft/mods/NetherPortalFix_1.12.1-5.3.17.jar, file:/home/user/.minecraft/mods/NHCore-1.12-4.0.3.jar, file:/home/user/.minecraft/mods/oops-1.12-5.11.jar, file:/home/user/.minecraft/mods/rftools-1.12-7.73.jar, file:/home/user/.minecraft/mods/Stackie-1.12.2-1.6.0.48-universal.jar, file:/home/user/.minecraft/mods/stg-1.12.2-1.2.3.jar, file:/home/user/.minecraft/mods/ThermalFoundation-1.12.2-2.6.7.1-universal.jar, file:/home/user/.minecraft/mods/ThermalExpansion-1.12.2-5.5.7.1-universal.jar, file:/home/user/.minecraft/mods/ToolBelt-1.12.2-1.9.13.jar, file:/home/user/.minecraft/mods/torohealth-1.12.2-11.jar, file:/home/user/.minecraft/mods/TravelersBackpack-1.12.2-1.0.35.jar, file:/home/user/.minecraft/mods/TreeChopper-1.12.2-1.2.4.jar, file:/home/user/.minecraft/mods/xnet-1.12-1.8.2.jar])
[19:15:31] [Client thread/INFO] [net.optifine.Log]: [OptiFine] (Reflector) Class not present: mods.betterfoliage.client.BetterFoliageClient
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] *** Reloading custom textures ***
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Colormap mcpatcher/colormap/swampgrass.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Colormap mcpatcher/colormap/swampfoliage.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Colormap mcpatcher/colormap/sky0.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Colormap mcpatcher/colormap/fog0.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Colormap mcpatcher/colormap/underwater.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Loading mcpatcher/color.properties
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: drop.water = 93b9f1
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: fog.nether = 4d0b0b
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: fog.end = 150018
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: sky.end = 000000
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Block palette: palette.block./misc/stonecolor.png = 1 4 13 14 15 16 21 23 24 29 33 43:0 43:1 43:3 43:5 44:0 44:1 44:3 44:5 48 56 61 62 67 70 73 74 82 93 94 97 98 109 128 129 139 158
[19:15:31] [Client thread/WARN] [Config]: [OptiFine] CustomColors: Colormap not found: mcpatcher/misc/stonecolor.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomColors: Block palette: palette.block./misc/sandcolor.png = 12
[19:15:31] [Client thread/WARN] [Config]: [OptiFine] CustomColors: Colormap not found: mcpatcher/misc/sandcolor.png
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomSky properties: mcpatcher/sky/world0/sky1.properties
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] CustomSky properties: mcpatcher/sky/world0/sky2.properties
[19:15:31] [Client thread/INFO] [Config]: [OptiFine] RandomEntities: textures/entity/creeper/creeper.png, variants: 6
[19:15:32] [Client thread/INFO] [Config]: [OptiFine] Texture pack clouds: fast
[19:16:17] [Server thread/INFO] [net.minecraft.server.integrated.IntegratedServer]: Starting integrated minecraft server version 1.12.2
[19:16:17] [Server thread/INFO] [net.minecraft.server.integrated.IntegratedServer]: Generating keypair
[19:16:17] [Server thread/INFO] [mcjtylib_ng]: Preparing all world data
[19:16:17] [Server thread/INFO] [Sponge]: Checking for worlds that need to be migrated...
[19:16:17] [Server thread/INFO] [Sponge]: No worlds were found in need of migration.
[19:16:17] [Server thread/INFO] [FML]: Injecting existing registry data into this server instance
[19:16:17] [Server thread/WARN] [FML]: Registry EntityEntry: Object did not get ID it asked for. Name: sponge:human Expected: 127 Got: 128
[19:16:19] [Server thread/INFO] [FML]: Applying holder lookups
[19:16:19] [Server thread/INFO] [FML]: Holder lookups applied
[19:16:20] [Server thread/INFO] [net.minecraft.advancements.AdvancementList]: Loaded 758 advancements
[19:16:20] [Server thread/INFO] [net.minecraft.advancements.AdvancementList]: Loaded 213 advancement trees
[19:16:20] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Preparing start region for world saves (minecraft:overworld/0)
[19:16:21] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Preparing spawn area: 11%
[19:16:21] [Server thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraftforge/items/wrapper/EntityEquipmentInvWrapper -> getSlotLimit!
[19:16:22] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Preparing spawn area: 62%
[19:16:23] [Server thread/INFO] [Sponge]: Loading world [saves] (minecraft:overworld/0)
[19:16:23] [Server thread/WARN] [Sponge]: World [DIM-1] (biomesoplenty:nether/-1) is set to not load on startup. To load it later, enable [load-on-startup] in config or use a plugin.
[19:16:23] [Server thread/WARN] [Sponge]: World [DIM1] (minecraft:the_end/1) is set to not load on startup. To load it later, enable [load-on-startup] in config or use a plugin.
[19:16:23] [Server thread/WARN] [Sponge]: Plugin 'reborncore' is attempting to register command 'rc_listRecipes' with an uppercase character - adjusting to 'rc_listrecipes'
[19:16:25] [Server thread/INFO] [FluxNetworks]: FluxNetworkData has been successfully loaded
[19:16:25] [Server thread/INFO] [net.minecraft.server.integrated.IntegratedServer]: Changing view distance to 12, from 10
[19:16:27] [Server thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/util/ServerRecipeBookHelper -> func_194324_a!
[19:16:27] [Server thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:53]: Patched max stack check in net/minecraft/util/ServerRecipeBookHelper -> func_194324_a!
[19:16:27] [Server thread/INFO] [STDOUT]: [pl.asie.stackup.core.MaxStackConstantPatch:lambda$patchMaxLimit$0:64]: NOTE: Made 2 patches in net/minecraft/util/ServerRecipeBookHelper -> func_194324_a!
[19:16:27] [Netty Local Client IO #0/INFO] [FML]: Server protocol version 2
[19:16:27] [Netty Server IO #1/INFO] [FML]: Client protocol version 2
[19:16:27] [Netty Server IO #1/INFO] [FML]: Client attempting to join with 74 mods : buildcraftlib@7.99.24.8,treechopper@1.2.4,netherportalfix@5.3.17,universalmodifiers@1.12.2-1.0.16.1,creativecoredummy@1.0.0,rftools@7.73,buildcraftenergy@7.99.24.8,jei@4.16.1.302,buildcrafttransport@7.99.24.8,attributefix@1.0.10,cofhcore@4.6.6,thermalfoundation@2.6.7,mcp@9.42,reborncore@3.19.5,controlling@3.0.10,journeymap@1.12.2-5.7.1,xnet@1.8.2,travelersbackpack@1.0.35,gravisuite@3.1.1,mendingfix@1.0.1-1.12.2.2618,fencejumper@1.0.5,spongeapi@7.3-7127e0882,surge@2.0.77,inventorytweaks@1.63+release.109.220f184,stg@1.12.2-1.2.3,cofhworld@1.4.0,waila@1.8.26,carryon@1.12.3,mcjtylib_ng@3.5.4,forge@14.23.5.2855,phosphor-lighting@1.12.2-0.2.6,buildcraftrobotics@7.99.24.8,ironchest@1.12.2-7.0.67.844,minecraft@1.12.2,stackie@1.6.0.48,sponge@1.12.2-7.3.0,enchdesc@1.1.20,ambientsounds@3.0,toolbelt@1.9.13,stackup@0.2.5,biomesoplenty@7.0.1.2444,baubles@1.5.2,redstoneflux@2.1.1,buildcraftsilicon@7.99.24.8,valkyrielib@1.12.2-2.0.20.1,creativecore@1.10.0,justsleep@1.0.0.1,energyconverters@1.3.7.30,spongeforge@1.12.2-2838-7.3.0,oops@@VERSION@,quark@r1.6-179,ic2@2.8.221-ex112,buildcraftbuilders@7.99.24.8,gravestone@1.10.3,lunatriuscore@1.2.0.42,buildcraftfactory@7.99.24.8,enchxchg@1.2.14,autoreglib@1.3-32,betterplacement@1.0.0-1,fluxnetworks@4.1.0,linear@1.3,FML@8.0.99.99,thermalexpansion@5.5.7,nhc@4.0.3,appleskin@1.0.14,buildcraftcompat@7.99.24.8,infinimend@1.0.2,environmentaltech@1.12.2-2.0.20.1,friendlyfire@1.5.10,clarity@1.1,hearthstonemod@0.4.7,codechickenlib@3.2.3.358,torohealthmod@1.12.2-11,buildcraftcore@7.99.24.8
[19:16:27] [Netty Server IO #1/INFO] [CodeChickenLib-ConfigSync]: Skipping config sync, No mods have registered a syncable config.
[19:16:27] [Netty Local Client IO #0/INFO] [FML]: [Netty Local Client IO #0] Client side modded connection established
[19:16:28] [Server thread/INFO] [FML]: [Server thread] Server side modded connection established
[19:16:28] [Server thread/INFO] [net.minecraft.server.management.PlayerList]: tfiskgul [local:E:00c4893c] logged in with entity id [453] in saves (minecraft:overworld/0) at (355.58285410583005, 10.0, 23.089444307834043).
[19:16:28] [Server thread/INFO] [Waila]: Player EntityPlayerMP['tfiskgul'/453, l='saves', x=355.58, y=10.00, z=23.09] connected. Sending ping
[19:16:28] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: tfiskgul joined the game
[19:16:29] [Server thread/WARN] [net.minecraft.server.MinecraftServer]: Can't keep up! Did the system time change, or is the server overloaded? Running 3776ms behind, skipping 75 tick(s)
[19:16:29] [Client thread/WARN] [Sponge]: No entity type is registered for class net.minecraft.client.entity.EntityPlayerSP
[19:16:33] [Server thread/INFO] [net.minecraft.server.integrated.IntegratedServer]: Saving and pausing game...
[19:16:34] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Saving chunks for level 'saves'/0
[19:16:34] [Netty Local Client IO #0/INFO] [Waila]: Received server authentication msg. Remote sync will be activated
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: shadow
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_basic
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_textured
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_textured_lit
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_skybasic
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_skytextured
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: gbuffers_terrain
Vertex info
-----------
0(33) : warning C7050: "tangent" might be used before being initialized
0(34) : warning C7050: "binormal" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_terrain
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: gbuffers_entities
Vertex info
-----------
0(28) : warning C7050: "tangent" might be used before being initialized
0(29) : warning C7050: "binormal" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_entities
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: gbuffers_hand
Vertex info
-----------
0(15) : warning C7050: "tangent" might be used before being initialized
0(16) : warning C7050: "binormal" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_hand
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_weather
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: gbuffers_water
Vertex info
-----------
0(21) : warning C7050: "tangent" might be used before being initialized
0(22) : warning C7050: "binormal" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: gbuffers_water
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Shadow map resolution: 1024
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Shadow map distance: 180.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Shadow map interval size: 4.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Hardware shadow filtering enabled.
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] gcolor format: RGB16
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] gdepth format: RGB8
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] gnormal format: RGB16
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] composite format: RGB8
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Eye brightness halflife: 10.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Center depth halflife: 2.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Wetness halflife: 100.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Dryness halflife: 40.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Sun path rotation: -40.0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] AO Level: 0.5
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Noise texture enabled
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Noise texture resolution: 64
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: composite
Fragment info
-------------
0(624) : warning C7050: "surface.diffuse.roughness" might be used before being initialized
0(624) : warning C7050: "surface.diffuse.translucency" might be used before being initialized
0(624) : warning C7050: "surface.diffuse.translucencyColor" might be used before being initialized
0(624) : warning C7050: "surface.specular.specularity" might be used before being initialized
0(624) : warning C7050: "surface.specular.extraSpecularity" might be used before being initialized
0(624) : warning C7050: "surface.specular.glossiness" might be used before being initialized
0(624) : warning C7050: "surface.specular.metallic" might be used before being initialized
0(624) : warning C7050: "surface.specular.gain" might be used before being initialized
0(624) : warning C7050: "surface.specular.base" might be used before being initialized
0(624) : warning C7050: "surface.specular.fresnelPower" might be used before being initialized
0(624) : warning C7050: "surface.sky.sunglow" might be used before being initialized
0(624) : warning C7050: "surface.sky.sunSpot" might be used before being initialized
0(624) : warning C7050: "surface.water.albedo" might be used before being initialized
0(624) : warning C7050: "surface.mask.sky" might be used before being initialized
0(624) : warning C7050: "surface.mask.land" might be used before being initialized
0(624) : warning C7050: "surface.mask.grass" might be used before being initialized
0(624) : warning C7050: "surface.mask.leaves" might be used before being initialized
0(624) : warning C7050: "surface.mask.ice" might be used before being initialized
0(624) : warning C7050: "surface.mask.hand" might be used before being initialized
0(624) : warning C7050: "surface.mask.translucent" might be used before being initialized
0(624) : warning C7050: "surface.mask.glow" might be used before being initialized
0(624) : warning C7050: "surface.mask.sunspot" might be used before being initialized
0(624) : warning C7050: "surface.mask.goldBlock" might be used before being initialized
0(624) : warning C7050: "surface.mask.ironBlock" might be used before being initialized
0(624) : warning C7050: "surface.mask.diamondBlock" might be used before being initialized
0(624) : warning C7050: "surface.mask.emeraldBlock" might be used before being initialized
0(624) : warning C7050: "surface.mask.sand" might be used before being initialized
0(624) : warning C7050: "surface.mask.sandstone" might be used before being initialized
0(624) : warning C7050: "surface.mask.stone" might be used before being initialized
0(624) : warning C7050: "surface.mask.cobblestone" might be used before being initialized
0(624) : warning C7050: "surface.mask.wool" might be used before being initialized
0(624) : warning C7050: "surface.mask.clouds" might be used before being initialized
0(624) : warning C7050: "surface.mask.torch" might be used before being initialized
0(624) : warning C7050: "surface.mask.lava" might be used before being initialized
0(624) : warning C7050: "surface.mask.glowstone" might be used before being initialized
0(624) : warning C7050: "surface.mask.fire" might be used before being initialized
0(624) : warning C7050: "surface.mask.water" might be used before being initialized
0(624) : warning C7050: "surface.mask.volumeCloud" might be used before being initialized
0(624) : warning C7050: "surface.clouds.albedo" might be used before being initialized
0(624) : warning C7050: "surface.ao.skylight" might be used before being initialized
0(624) : warning C7050: "surface.ao.scatteredUpLight" might be used before being initialized
0(624) : warning C7050: "surface.ao.bouncedSunlight" might be used before being initialized
0(624) : warning C7050: "surface.ao.scatteredSunlight" might be used before being initialized
0(624) : warning C7050: "surface.ao.constant" might be used before being initialized
0(624) : warning C7050: "surface.viewRay.dir" might be used before being initialized
0(624) : warning C7050: "surface.viewRay.origin" might be used before being initialized
0(624) : warning C7050: "surface.NdotL" might be used before being initialized
0(624) : warning C7050: "surface.debug" might be used before being initialized
0(624) : warning C7050: "surface.shadow" might be used before being initialized
0(624) : warning C7050: "surface.cloudShadow" might be used before being initialized
0(624) : warning C7050: "surface.cloudAlpha" might be used before being initialized
0(653) : warning C7050: "shading.waterDirect" might be used before being initialized
0(653) : warning C7050: "shading.bounced" might be used before being initialized
0(653) : warning C7050: "shading.skylight" might be used before being initialized
0(653) : warning C7050: "shading.scattered" might be used before being initialized
0(653) : warning C7050: "shading.scatteredUp" might be used before being initialized
0(653) : warning C7050: "shading.specular" might be used before being initialized
0(653) : warning C7050: "shading.translucent" might be used before being initialized
0(653) : warning C7050: "shading.sunlightVisibility" might be used before being initialized
0(653) : warning C7050: "shading.heldLight" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: composite
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] gcolor mipmap enabled
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] composite mipmap enabled
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Info log: composite1
Fragment info
-------------
0(390) : warning C7050: "surface.mask.sky" might be used before being initialized
0(390) : warning C7050: "surface.mask.land" might be used before being initialized
0(390) : warning C7050: "surface.mask.tallGrass" might be used before being initialized
0(390) : warning C7050: "surface.mask.leaves" might be used before being initialized
0(390) : warning C7050: "surface.mask.ice" might be used before being initialized
0(390) : warning C7050: "surface.mask.hand" might be used before being initialized
0(390) : warning C7050: "surface.mask.translucent" might be used before being initialized
0(390) : warning C7050: "surface.mask.glow" might be used before being initialized
0(390) : warning C7050: "surface.mask.goldBlock" might be used before being initialized
0(390) : warning C7050: "surface.mask.ironBlock" might be used before being initialized
0(390) : warning C7050: "surface.mask.diamondBlock" might be used before being initialized
0(390) : warning C7050: "surface.mask.emeraldBlock" might be used before being initialized
0(390) : warning C7050: "surface.mask.sand" might be used before being initialized
0(390) : warning C7050: "surface.mask.sandstone" might be used before being initialized
0(390) : warning C7050: "surface.mask.stone" might be used before being initialized
0(390) : warning C7050: "surface.mask.cobblestone" might be used before being initialized
0(390) : warning C7050: "surface.mask.wool" might be used before being initialized
0(390) : warning C7050: "surface.mask.torch" might be used before being initialized
0(390) : warning C7050: "surface.mask.lava" might be used before being initialized
0(390) : warning C7050: "surface.mask.glowstone" might be used before being initialized
0(390) : warning C7050: "surface.mask.fire" might be used before being initialized
0(390) : warning C7050: "surface.mask.water" might be used before being initialized
0(390) : warning C7050: "surface.rDepth" might be used before being initialized
0(390) : warning C7050: "surface.specularColor" might be used before being initialized
0(390) : warning C7050: "surface.reflection" might be used before being initialized
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: composite1
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] gnormal mipmap enabled
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: composite2
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Program loaded: final
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedColorBuffers: 4
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedDepthBuffers: 1
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedShadowColorBuffers: 0
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedShadowDepthBuffers: 1
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedColorAttachs: 4
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] usedDrawBuffers: 4
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Framebuffer created.
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Shadow framebuffer created.
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Reset model renderers
[19:16:34] [Client thread/INFO] [net.optifine.shaders.SMCLog]: [Shaders] Reset world renderers
[19:16:34] [Client thread/WARN] [Config]: [OptiFine] java.lang.NullPointerException null
[19:16:34] [Client thread/WARN] [Config]: [OptiFine] Error finding Chunk.hasEntities
[19:16:34] [Client thread/INFO] [net.optifine.Log]: [OptiFine] (Reflector) Field not present: net.minecraft.world.chunk.Chunk.hasEntities
[19:16:38] [Client thread/INFO] [Quark ASM]: Transforming net.minecraft.client.gui.inventory.GuiBeacon$PowerButton
[19:16:38] [Client thread/INFO] [Quark ASM]: Could not locate, injecting method (Names [drawButton, func_191745_a] Descriptor (Lnet/minecraft/client/Minecraft;IIF)V)
[19:16:38] [Client thread/INFO] [Quark ASM]: Patch result: true
[19:16:38] [Client thread/INFO] [net.minecraft.client.gui.GuiNewChat]: [CHAT] tfiskgul joined the game
[19:16:38] [Client thread/INFO] [net.minecraft.advancements.AdvancementList]: Loaded 722 advancements
[19:16:39] [Client thread/WARN] [journeymap]: core (Initialized) Bad configField entry during updateFrom(): optionsManagerViewed=null
[19:16:39] [Client thread/INFO] [journeymap]: Custom modded block handling enabled for biomesoplenty
[19:16:39] [Client thread/INFO] [journeymap]: Loaded 4 waypoints from /home/user/.minecraft/journeymap/data/sp/Covid~ville/waypoints
[19:16:39] [Client thread/INFO] [journeymap]: Mapping started in /home/user/.minecraft/journeymap/data/sp/Covid~ville/DIM0. Memory: 6272MB total, 2476MB free 
[19:17:10] [Netty Local Client IO #0/WARN] [ic2.Network]: Network read failed
java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.Platform.displayError(Platform.java:42) ~[Platform.class:?]
	at ic2.core.PlatformClient.displayError(PlatformClient.java:214) ~[PlatformClient.class:?]
	at ic2.core.Platform.displayError(Platform.java:48) ~[Platform.class:?]
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:378) ~[DataEncoder.class:?]
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110) ~[TeUpdate.class:?]
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202) ~[NetworkManagerClient.class:?]
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160) [NetworkManagerClient.class:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic) [?:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90) [ASMEventHandler.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756) [EventBus.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706) [EventBus.class:?]
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130) [FMLEventChannel.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51) [NetworkEventFiringHandler.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39) [NetworkEventFiringHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274) [EmbeddedChannel.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99) [FMLProxyPacket.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147) [gw.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49) [gw.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132) [RpcHandler.class:?]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25) [RpcHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72) [NetworkDispatcher.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397) [LocalChannel$5.class:4.1.9.Final]
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54) [DefaultEventLoop.class:4.1.9.Final]
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858) [SingleThreadEventExecutor$5.class:4.1.9.Final]
	at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: Exception caught during firing event net.minecraftforge.fml.common.network.FMLNetworkEvent$ClientCustomPacketEvent@457bf60e:
java.lang.RuntimeException: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:163) ~[NetworkManagerClient.class:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic) ~[?:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90) ~[ASMEventHandler.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756) [EventBus.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706) [EventBus.class:?]
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130) [FMLEventChannel.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51) [NetworkEventFiringHandler.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39) [NetworkEventFiringHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274) [EmbeddedChannel.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99) [FMLProxyPacket.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147) [gw.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49) [gw.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132) [RpcHandler.class:?]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25) [RpcHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72) [NetworkDispatcher.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397) [LocalChannel$5.class:4.1.9.Final]
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54) [DefaultEventLoop.class:4.1.9.Final]
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858) [SingleThreadEventExecutor$5.class:4.1.9.Final]
	at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]
Caused by: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.Platform.displayError(Platform.java:42) ~[Platform.class:?]
	at ic2.core.PlatformClient.displayError(PlatformClient.java:214) ~[PlatformClient.class:?]
	at ic2.core.Platform.displayError(Platform.java:48) ~[Platform.class:?]
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:378) ~[DataEncoder.class:?]
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110) ~[TeUpdate.class:?]
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202) ~[NetworkManagerClient.class:?]
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160) ~[NetworkManagerClient.class:?]
	... 46 more
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: Index: 1 Listeners:
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: 0: NORMAL
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: 1: ASM: ic2.core.network.NetworkManagerClient@458fe4bf onPacket(Lnet/minecraftforge/fml/common/network/FMLNetworkEvent$ClientCustomPacketEvent;)V
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: NetworkEventFiringHandler exception
java.lang.RuntimeException: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:163) ~[NetworkManagerClient.class:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic) ~[?:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90) ~[ASMEventHandler.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756) ~[EventBus.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706) ~[EventBus.class:?]
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130) ~[FMLEventChannel.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51) ~[NetworkEventFiringHandler.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39) ~[NetworkEventFiringHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) ~[SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274) [EmbeddedChannel.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99) [FMLProxyPacket.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147) [gw.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49) [gw.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132) [RpcHandler.class:?]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25) [RpcHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72) [NetworkDispatcher.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397) [LocalChannel$5.class:4.1.9.Final]
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54) [DefaultEventLoop.class:4.1.9.Final]
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858) [SingleThreadEventExecutor$5.class:4.1.9.Final]
	at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]
Caused by: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.Platform.displayError(Platform.java:42) ~[Platform.class:?]
	at ic2.core.PlatformClient.displayError(PlatformClient.java:214) ~[PlatformClient.class:?]
	at ic2.core.Platform.displayError(Platform.java:48) ~[Platform.class:?]
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:378) ~[DataEncoder.class:?]
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110) ~[TeUpdate.class:?]
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202) ~[NetworkManagerClient.class:?]
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160) ~[NetworkManagerClient.class:?]
	... 46 more
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: There was a critical exception handling a packet on channel ic2
java.lang.RuntimeException: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:163) ~[NetworkManagerClient.class:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic) ~[?:?]
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90) ~[ASMEventHandler.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756) ~[EventBus.class:?]
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706) ~[EventBus.class:?]
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130) ~[FMLEventChannel.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51) ~[NetworkEventFiringHandler.class:?]
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39) ~[NetworkEventFiringHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) ~[SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) ~[AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) ~[AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) ~[AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) ~[DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) ~[AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) ~[AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) ~[DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274) ~[EmbeddedChannel.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99) [FMLProxyPacket.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147) [gw.class:?]
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49) [gw.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132) [RpcHandler.class:?]
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25) [RpcHandler.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268) [NetworkDispatcher.class:?]
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72) [NetworkDispatcher.class:?]
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105) [SimpleChannelInboundHandler.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334) [DefaultChannelPipeline$HeadContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348) [AbstractChannelHandlerContext.class:4.1.9.Final]
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926) [DefaultChannelPipeline.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49) [LocalChannel.class:4.1.9.Final]
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397) [LocalChannel$5.class:4.1.9.Final]
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54) [DefaultEventLoop.class:4.1.9.Final]
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858) [SingleThreadEventExecutor$5.class:4.1.9.Final]
	at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]
Caused by: java.lang.RuntimeException: IndustrialCraft 2 Error

 == = IndustrialCraft 2 Error = == 

An unexpected Exception occured.

java.lang.IllegalArgumentException: invalid type id: 101
	at ic2.core.network.DataEncoder.typeFromId(DataEncoder.java:783)
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:373)
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110)
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202)
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_NetworkManagerClient_onPacket_ClientCustomPacketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.forgeBridge$post(EventBus.java:756)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:706)
	at net.minecraftforge.fml.common.network.FMLEventChannel.fireRead(FMLEventChannel.java:130)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:51)
	at net.minecraftforge.fml.common.network.NetworkEventFiringHandler.channelRead0(NetworkEventFiringHandler.java:39)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.embedded.EmbeddedChannel.writeInbound(EmbeddedChannel.java:274)
	at net.minecraftforge.fml.common.network.internal.FMLProxyPacket.func_148833_a(FMLProxyPacket.java:99)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:147)
	at net.minecraft.network.NetworkManager.channelRead0(NetworkManager.java:49)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:132)
	at ic2.core.network.RpcHandler.channelRead0(RpcHandler.java:25)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.handleClientSideCustomPacket(NetworkDispatcher.java:382)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:268)
	at net.minecraftforge.fml.common.network.handshake.NetworkDispatcher.channelRead0(NetworkDispatcher.java:72)
	at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
	at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
	at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
	at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
	at io.netty.channel.local.LocalChannel.finishPeerRead0(LocalChannel.java:443)
	at io.netty.channel.local.LocalChannel.access$500(LocalChannel.java:49)
	at io.netty.channel.local.LocalChannel$5.run(LocalChannel.java:397)
	at io.netty.channel.DefaultEventLoop.run(DefaultEventLoop.java:54)
	at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
	at java.lang.Thread.run(Thread.java:748)

An unknown data type was received over multiplayer to be decoded.
This could happen due to corrupted data or a bug.

 == == == == == == == == == == ==

	at ic2.core.Platform.displayError(Platform.java:42) ~[Platform.class:?]
	at ic2.core.PlatformClient.displayError(PlatformClient.java:214) ~[PlatformClient.class:?]
	at ic2.core.Platform.displayError(Platform.java:48) ~[Platform.class:?]
	at ic2.core.network.DataEncoder.decode(DataEncoder.java:378) ~[DataEncoder.class:?]
	at ic2.core.network.TeUpdate.receive(TeUpdate.java:110) ~[TeUpdate.class:?]
	at ic2.core.network.NetworkManagerClient.onPacketData(NetworkManagerClient.java:202) ~[NetworkManagerClient.class:?]
	at ic2.core.network.NetworkManagerClient.onPacket(NetworkManagerClient.java:160) ~[NetworkManagerClient.class:?]
	... 46 more
[19:17:10] [Netty Local Client IO #0/ERROR] [FML]: Network Disconnect: A fatal error has occurred, this connection is terminated
[19:17:10] [Netty Local Client IO #0/INFO] [FluxNetworks]: FluxNetworkData has been unloaded
[19:17:10] [Server thread/INFO] [FluxNetworks]: FluxNetworkData has been successfully loaded
[19:17:10] [Server thread/INFO] [net.minecraft.network.NetHandlerPlayServer]: tfiskgul lost connection: Disconnected
[19:17:10] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: tfiskgul left the game
[19:17:10] [Server thread/INFO] [net.minecraft.network.NetHandlerPlayServer]: Stopping singleplayer server as player logged out
[19:17:11] [Client thread/INFO] [journeymap]: Mapping halted in /home/user/.minecraft/journeymap/data/sp/Covid~ville/DIM0
[19:17:11] [Client thread/WARN] [journeymap]: Couldn't copy color palette html: java.lang.NullPointerException
[19:17:11] [Client thread/ERROR] [journeymap]: Can't write colorpalette.html: java.lang.NullPointerException
[19:17:11] [Client thread/WARN] [journeymap]: Existing color palette's mods no longer match current loadout.
[19:17:11] [Client thread/INFO] [journeymap]: WAS: AmbientSounds:3.0, Biomes O' Plenty:7.0.1.2444, BuildCraft Builders:7.99.24.8, BuildCraft Compat:7.99.24.8, BuildCraft Energy:7.99.24.8, BuildCraft Factory:7.99.24.8, BuildCraft Lib:7.99.24.8, BuildCraft Robotics:7.99.24.8, BuildCraft Silicon:7.99.24.8, BuildCraft Transport:7.99.24.8, BuildCraft:7.99.24.8, CoFH Core:4.6.6, CoFH World:1.4.0, CodeChicken Lib:3.2.3.358, CreativeCore:1.10.0, CreativeCoreDummy:1.0.0, Environmental Tech:1.12.2-2.0.20.1, Flux Networks:4.1.0, Forge Mod Loader:8.0.99.99, Gravestone Mod:1.10.3, Hearthstone Mod:0.4.7, IndustrialCraft 2:2.8.221-ex112, Inventory Tweaks:1.63+release.109.220f184, Iron Chest:1.12.2-7.0.67.844, JourneyMap:1.12.2-5.7.1, Just Enough Items:4.16.1.302, McJtyLib:3.5.4, Minecraft Coder Pack:9.42, Minecraft Forge:14.23.5.2855, Minecraft:1.12.2, NHAVE's Core:4.0.3, RFTools:7.73, Redstone Flux:2.1.1, Thermal Expansion:5.5.7, Thermal Foundation:2.6.7, ToroHealth Damage Indicators:1.12.2-11, Tree Chopper:1.2.4, Universal Modifiers:1.12.2-1.0.16.1, Valkyrie Lib:1.12.2-2.0.20.1, XNet:1.8.2
NOW: AmbientSounds:3.0, AppleSkin:1.0.14, Attribute Fix:1.0.10, AutoRegLib:1.3-32, Baubles:1.5.2, Better Placement:1.0.0-1, Biomes O' Plenty:7.0.1.2444, BuildCraft Builders:7.99.24.8, BuildCraft Compat:7.99.24.8, BuildCraft Energy:7.99.24.8, BuildCraft Factory:7.99.24.8, BuildCraft Lib:7.99.24.8, BuildCraft Robotics:7.99.24.8, BuildCraft Silicon:7.99.24.8, BuildCraft Transport:7.99.24.8, BuildCraft:7.99.24.8, Carry On:1.12.3, Clarity:1.1, CoFH Core:4.6.6, CoFH World:1.4.0, CodeChicken Lib:3.2.3.358, Controlling:3.0.10, CreativeCore:1.10.0, CreativeCoreDummy:1.0.0, Enchantment Descriptions:1.1.20, Enchantments Exchanger:1.2.14, Energy Converters:1.3.7.30, Environmental Tech:1.12.2-2.0.20.1, Fence Jumper:1.0.5, Flux Networks:4.1.0, Forge Mod Loader:8.0.99.99, Friendly Fire:1.5.10, Gravestone Mod:1.10.3, Gravitation Suite:3.1.1, Hearthstone Mod:0.4.7, IndustrialCraft 2:2.8.221-ex112, Infinity & Mending Unnerf:1.0.2, Inventory Tweaks:1.63+release.109.220f184, Iron Chest:1.12.2-7.0.67.844, JourneyMap:1.12.2-5.7.1, Just Enough Items:4.16.1.302, Just Sleep:1.0.0.1, Linear:1.3, LunatriusCore:1.2.0.42, McJtyLib:3.5.4, Minecraft Coder Pack:9.42, Minecraft Forge:14.23.5.2855, Minecraft:1.12.2, NHAVE's Core:4.0.3, NetherPortalFix:5.3.17, Oops:@VERSION@, Phosphor Lighting Engine:1.12.2-0.2.6, Quark:r1.6-179, RFTools:7.73, Reborn Core:3.19.5, Redstone Flux:2.1.1, Sponge:1.12.2-7.3.0, SpongeAPI:7.3-7127e0882, SpongeForge:1.12.2-2838-7.3.0, StackUp!:0.2.5, Stackie:1.6.0.48, Surge:2.0.77, SwingThroughGrass:1.12.2-1.2.3, Thermal Expansion:5.5.7, Thermal Foundation:2.6.7, Tool Belt:1.9.13, ToroHealth Damage Indicators:1.12.2-11, Traveler's Backpack:1.0.35, Tree Chopper:1.2.4, Universal Modifiers:1.12.2-1.0.16.1, Valkyrie Lib:1.12.2-2.0.20.1, Waila:1.8.26, XNet:1.8.2, mendingfix:1.0.1-1.12.2.2618
[19:17:11] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Stopping server
[19:17:11] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Saving players
[19:17:11] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Saving worlds
[19:17:11] [Server thread/INFO] [net.minecraft.server.MinecraftServer]: Saving chunks for level 'saves'/0
[19:17:11] [Server thread/INFO] [Sponge]: Unloading world [saves] (minecraft:overworld/0)
[19:17:13] [Server thread/INFO] [FML]: Applying holder lookups
[19:17:13] [Server thread/INFO] [FML]: Holder lookups applied
[19:17:13] [Server thread/INFO] [FluxNetworks]: FluxNetworkData has been unloaded
[19:17:13] [Server thread/INFO] [mcjtylib_ng]: Cleaning up all world data: 1 data blobs
[19:19:02] [Client thread/INFO] [net.minecraft.client.Minecraft]: Stopping!
[19:19:02] [Client thread/INFO] [net.minecraft.client.audio.SoundManager]: SoundSystem shutting down...
[19:19:02] [Client thread/WARN] [net.minecraft.client.audio.SoundManager]: Author: Paul Lamb, www.paulscode.com
latest.log (236,940 bytes)   

tfiskgul

2021-08-05 17:23

reporter   ~0006310

Forge Mod Loader version 14.23.5.2855 for Minecraft 1.12.2 loading
Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_202, running on Linux:amd64:5.12.14
IC version is 2.8.221-ex112

tfiskgul

2021-08-10 16:41

reporter   ~0006311

After much troubleshooting and detective work I've isolated the issue. It can be replicated as follows, on a new creative world:

Place Fluid/Solid Canning Machine. Put a stack of 256 Empty Fuel Rod inside. Save game, exit. Try to load the save, it fails.
The stack limit is raised by StackUp! addon.

Issue History

Date Modified Username Field Change
2021-08-05 17:21 tfiskgul New Issue
2021-08-05 17:21 tfiskgul File Added: crash-2021-07-29_17.51.05-client.txt
2021-08-05 17:21 tfiskgul File Added: latest.log
2021-08-05 17:23 tfiskgul Note Added: 0006310
2021-08-10 16:41 tfiskgul Note Added: 0006311